2008-06-18  Aidan Kehoe  <kehoea@parhasard.net>

	* gnus-util.el (gnus-put-display-table, gnus-get-display-table): New
	macros that expand to an `aset'/`aref' call under Emacs, and to a
	runtime choice under XEmacs.

	* gnus-sum.el (gnus-summary-set-display-table): Use
	`gnus-put-display-table', `gnus-get-display-table',
	`gnus-set-display-table' for the display table, instead of `aset'.

2008-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-disassociate-draft): Revert 2008-03-18 change.

2008-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-alist): Exclude newline in RFC2396-compliant
	url pattern; remove duplicate one.
	(gnus-article-extend-url-button): New function.
	(gnus-article-add-buttons): Use it.
	(gnus-button-push): Use concatenated url that it makes.

2008-05-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Adjusted copyright dates and added a keyword.

2008-04-24  Luca Capello  <luca@pca.it>  (tiny change)

	* mm-encode.el (mm-safer-encoding): Add optional argument `type'.
	Don't use QP for message/rfc822.
	(mm-content-transfer-encoding): Pass `type' to mm-safer-encoding.

2008-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	[Backport GNKSA related changes from the Gnus trunk.]

	* message.el (message-fill-column): New variable.
	(message-mode): Use it.

	* message.el (message-signature-separator): Change default.  Improve
	custom type.
	(message-cite-function): Change default to
	message-cite-original-without-signature.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add message-cite-function
	toggle.

	* message.el (message-check-news-body-syntax): Fix signature check.
	(message-setup-1): Mark buffer as unmodified _after_ running
	message-setup-hook and handling message-alternative-emails.
	(message-shorten-references): Be more strict when building list of
	valid references to comply with GNKSA.

2008-04-12  Adrian Aichner  <adrian@xemacs.org>

	* gnus-sum.el (gnus-summary-goto-subject): Typo fix.

2008-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-article-edit-mode-map, message-mode-map): Remove
	binding for `gnus-diary-version'.  Bind `gnus-diary-check-message' to
	`C-c C-f d'.

2008-03-29  Sven Joachim  <svenjoac@gmx.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add missing dots.

2008-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-original-without-signature): Mention
	stripping of the signatur in doc string.

2008-03-19  Nils Ackermann  <nils@ackermath.info>  (tiny change)

	* nnmh.el (nnmh-request-expire-articles): Prefer expiry-target group
	parameter.

	* message.el (message-disassociate-draft): Specify drafts group name
	fully.

2008-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-delete-old-incoming) Fix regexp to find
	Incoming* files.

2008-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet)
	(nntp-open-via-telnet-and-telnet): Make sure the nntp port to specify
	is a string.

2008-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-old-incoming-confirm): Change
	default to nil.
	(mail-source-delete-old-incoming): Make confirmation prompt more clear.

2008-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-narrow-to-page): Position point properly.
	(gnus-article-goto-prev-page): Work for articles having ^L's.

	* gnus-sum.el (gnus-summary-end-of-article): Remove needless narrowing.

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): Fix typo.

2008-03-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-print-buffer): Honor ps-print-color-p.
	Suggested by <chris.anderton@zetnet.co.uk>.

2008-02-29  Andreas Seltenreich  <andreas@gate450.dyndns.org>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing on articles with
	empty author.

2008-02-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-incoming): Change default.
	Supplement doc string.

2008-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-message-id-cache-file): Derive from
	`gnus-home-directory'.

2008-02-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-topic.el (gnus-topic-select-group, gnus-topic-read-group):
	Document negative prefix.

	* gnus-group.el (gnus-group-read-group): Document negative prefix.

2008-02-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-group-startup-message): Add `find-image' call before
	image-load-path is let-bound.  Reported by Harald Hanche-Olsen
	<hanche@math.ntnu.no>.

2008-01-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-article-sort-by-random)
	(gnus-thread-sort-by-random): Fix doc strings.  Reported by
	jidanni@jidanni.org.

2007-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-send-message): Mention process/prefix
	convention in doc string.

2007-12-14  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* gnus-sum.el (gnus-summary-mark-unread-as-read)
	(gnus-summary-mark-read-and-unread-as-read)
	(gnus-summary-mark-current-read-and-unread-as-read)
	(gnus-summary-mark-unread-as-ticked): Doc fix.
	`gnus-mark-article-hook', not `gnus-summary-mark-article-hook'.

2007-12-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-prev-article): Fix doc string.  Reported by
	Christoph Conrad <christoph.conrad@gmx.de>.

2007-12-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-ignored-supersedes-headers): Add "X-ID".

2007-11-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-tool-bar-retro): Update for rename
	mail_send.xpm->mail-send.xpm.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body):
	* gnus-demon.el (gnus-demon): Fix typos in docstrings.

	* gnus-uu.el (gnus-uu-default-view-rules): Fix typos in docstring.
	(gnus-uu-decode-save): Fix typo in prompt.

2007-11-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-highlight): Mark as risky local variable.

2007-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-eval-alist): Mark as risky local variable.

	* gnus.el (gnus-group-charter-alist): Mark as risky local variable.

	* gnus-art.el (gnus-button-alist, gnus-header-button-alist): Mark as
	risky local variable.

	* gnus-group.el (gnus-group-icon-list): Mark as risky local variable.

2007-11-01  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* message.el (message-use-alternative-email-as-from): Examine the
	From header as well; use message-make-from in order to include a
	user's full name.  [ Backported bug fix from No Gnus. ]

2007-10-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* qp.el (quoted-printable-decode-string): Fix typo in doc string.

2007-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Work even if there's no scroll bar.

2007-10-23  Richard Stallman  <rms@gnu.org>

	* gnus-group.el (gnus-group-highlight): Mark as risky.

2007-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-server-to-method): Return method found first in
	gnus-newsrc-alist.

2007-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* html2text.el (html2text-fix-paragraph): Use `forward-line' instead of
	`next-line'.

2007-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use rmail-dont-reply-to to
	exclude address matching message-dont-reply-to-names.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-string<): New function.

	* gnus-sum.el (gnus-article-sort-by-author)
	(gnus-article-sort-by-subject): Use it.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-win.el (gnus-configure-windows): Focus on the frame for which
	the frame-focus tag is set in gnus-buffer-configuration.

2007-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Alias gbk to cp936.

2007-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* Relicense "GPLv2 or later" files to "GPLv3 or later".

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-newsgroup-maximum-articles): Move from gnus.el.
	Suggested by Leo <sdl.web@gmail.com>.

	* gnus.el: Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-newsgroup-maximum-articles): Rename from
	gnus-maximum-newsgroup.  Suggested by Leo <sdl.web@gmail.com>.

	* gnus-agent.el (gnus-agent-fetch-headers): Do.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles): Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmbox.el (nnmbox-request-article): Don't assume delim regexp matches
	newline.
	(nnmbox-request-accept-article): Don't change article in source buffer;
	narrow to header to use message-fetch-field rather than
	nnmail-fetch-field; use with-current-buffer instead of save-excursion.
	(nnmbox-request-replace-article): Quote lines that'll be misidentified
	as delimiters; make sure article ends with newline.
	(nnmbox-delete-mail): Correct last position of article to be deleted;
	ignore X-Gnus-Newsgroup header in article body.
	(nnmbox-save-mail): Quote lines looking like delimiters at the right
	positions; make sure article ends with newline.

2007-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-score-extra): New widget.
	(gnus-score-extra-convert): New function.
	(gnus-score-customize): Use it for Extra.

2007-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime): Make sure it uses multibyte temp buffer.
	(mml-generate-mime-1): Don't encode body if it is specified to be in
	raw form; don't make buffer be unibyte when inserting multibyte string.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sha1.el: Fix up comment style.
	(sha1-F0, sha1-F1, sha1-F2, sha1-F3, sha1-S1, sha1-S5, sha1-S30)
	(sha1-OP, sha1-add-to-H): Use new-style backquotes.

	* hex-util.el: Fix up comment style.
	(hex-char-to-num, num-to-hex-char): Use new-style backquotes.

	* gnus-salt.el: Use with-current-buffer.
	(gnus-pick-setup-message): Fix long-standing typo.

2007-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-summary-command-nosave)
	(gnus-article-read-summary-keys): Don't use 3rd arg of pop-to-buffer.

2007-08-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-maximum-newsgroup): New variable.

	* gnus-agent.el (gnus-agent-fetch-headers): Limit the range of articles
	according to gnus-maximum-newsgroup.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles):
	Limit the range of articles according to gnus-maximum-newsgroup.

2007-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-xref-number-is-evil): New server variable.
	(nntp-find-group-and-number): If it is non-nil, don't trust article
	numbers in the Xref header.

2007-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Bind inhibit-read-only to t.

2007-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-headers): Bind inhibit-read-only to t.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* gmm-utils.el, gnus-async.el, gnus-msg.el, gnus-score.el
	* gnus-util.el, imap.el, mailcap.el, nnimap.el: Replace `iff' in
	doc-strings and comments.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

2007-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-supersede-article)
	(gnus-summary-resend-message-edit): Add Gcc header.
	(gnus-summary-resend-bounced-mail): Ditto; search whole body for parent
	article's Message-ID; refer parent article in summary buffer.

	* message.el (message-bounce): Call mime-to-mml.

2007-07-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Refer to mm-uu-configure-list in doc
	string.

2007-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-font-lock-keywords): Quote faces.

2007-07-14  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-mime-delete-part): Don't go through article-edit
	finishing actions if we did not edit the article.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face): Remove variable.
	(gnus-server-font-lock-keywords): Use faces that are not aliases.

	* mm-util.el (mm-decode-coding-string, mm-encode-coding-string)
	(mm-decode-coding-region, mm-encode-coding-region): Don't modify string
	if the coding-system argument is nil for XEmacs.

	* nnrss.el (nnrss-compatible-encoding-alist): Inherit the value of
	mm-charset-override-alist.

	* rfc2047.el: Don't require base64; require rfc2045 for the function
	rfc2045-encode-string.
	(rfc2047-encode-parameter): Use rfc2045-encode-string to quote or not
	to quote the parameter value.

2007-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-catchup): Don't recognize cached articles
	as unfetched articles.

2007-07-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-level-unsubscribed): Improve doc string.

2007-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-summary-command-nosave)
	(gnus-article-read-summary-keys): Don't set the 3rd arg of
	pop-to-buffer for XEmacs.

2007-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-fetch-headers)
	(gnus-agent-retrieve-headers): Bind
	gnus-decode-encoded-address-function to identity.

	* nntp.el (nntp-send-xover-command): Recognize an xover command is
	available also when the server returns simply a dot.

	* gnus-ems.el (gnus-x-splash): Redisplay window before measuring it.

2007-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Make it work.

	* gnus-start.el (gnus-1): Relax restrictions that prevent gnus-x-splash
	from being used.

	* gnus-art.el (gnus-article-summary-command-nosave): Correct the order
	of the arguments passed to pop-to-buffer.
	(gnus-article-read-summary-keys): Ditto.

2007-06-07  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-split-methods): Fix typo in docstring.

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-time-format, gnus-summary-sort-by-schedule):
	* gnus-sum.el (gnus-summary-highlight):
	* mail-source.el (mail-source-delete-old-incoming-confirm):
	* nndiary.el (nndiary-reminders): Fix typos in docstrings.

2007-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-externally)
	(gnus-mime-view-part-internally): Fix predicate function passed to
	completing-read.

	* mm-decode.el (mm-image-fit-p): Return t if argument is not an image;
	return t if image size is just the same as window size.

2007-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-pop-to-buffer): Add switch-function argument.
	(message-mail): Pass switch-function argument to it.

2007-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-narrow-to-headers-or-head): Ignore
	mail-header-separator in the body.

2007-05-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode): Fix comment about displaying
	non-break space.

2007-05-09  Didier Verna  <didier@xemacs.org>

	* gnus-diary.el, nndiary.el: Remove the description comment (nndiary is
	now properly documented in the Gnus manual).  Fix the spelling of "Back
	End".

2007-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-strip-charset-parameters): New function.
	(gnus-mime-view-part-as-charset): Use it; redisplay subpart currently
	displayed of multipart/alternative part if it is invoked from summary
	buffer.
	(gnus-article-part-wrapper): Select article window.

	* mm-view.el (mm-inline-text-html-render-with-w3m)
	(mm-inline-text-html-render-with-w3m-standalone)
	(mm-inline-render-with-function): Use mail-parse-charset by default.

2007-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-yank-articles): Use
	message-exchange-point-and-mark instead of exchange-point-and-mark.

2007-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-yank-original): Make sure cited text ends with
	newline; don't exchange point and mark.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* tls.el (open-tls-stream): Properly handle case where there
	is no associated buffer.

2007-04-03  Thien-Thi Nguyen  <ttn@gnu.org>

	* gnus-msg.el (gnus-inews-yank-articles): Fix bug: After
	message-yank-original, make sure (< mark TEXT point).

2007-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-spool-file): Mark as obsolete.
	(nnmail-get-new-mail): Reformat.

	* gnus-registry.el (gnus-registry-cache-save): Add FIXME comment.

	* gmm-utils.el: Fix Commentary.
	(gmm-tool-bar-from-list): Fix typo in doc string.

2007-03-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* message.el (message-yank-original): Fix bug:
	Don't switch point and mark unnecessarily.

2007-03-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-msg.el (gnus-setup-message, gnus-inews-add-send-actions): Move
	evaluation of gnus-extended-version to ensure correct generation of the
	User-Agent header when message-generate-headers-first is used.

2007-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Also catch `<f1> k ...'.
	(gnus-treat-display-x-face): Fix doc string.

2007-03-20  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* message.el (message-required-news-headers):
	* gnus-util.el (gnus-intern-safe): Fix typo in docstring.

2007-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-generate-new-buffers): Change the meaning of the
	nil value; add `standard' to the choices; treat t as `unique'; improve
	doc string.
	(gnus-select-frame-set-input-focus): Autoload.
	(message-buffer-name): Search for the existing message buffer if
	message-generate-new-buffers is nil or `standard'; treat the value t of
	message-generate-new-buffers as `unique'.
	(message-pop-to-buffer): Raise the frame already displaying the message
	buffer; clear the echo area after querying.
	(message-setup): Pass the `continue' argument to compose-mail.
	(message-mail): Prefer `switch-function' if it is given; search for the
	existing message buffer if the `continue' argument is non-nil; pass
	continue and switch-function arguments to compose-mail by way of
	message-setup.
	(message-mail-other-window): Adjust argument of message-setup.
	(message-mail-other-frame): Ditto.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-make-in-reply-to): Quote name containing
	non-ASCII characters.  It will make the RFC2047 encoder cause an error
	if there are special characters.  Reported by NAKAJI Hiroyuki
	<nakaji@jp.freebsd.org>.

2007-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-never-echoes-commands)
	(nntp-open-connection-functions-never-echo-commands): New variables.
	(nntp-send-command): Use them.

2007-02-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing to also match on
	articles posted in the last 24 hours.

2007-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* smiley.el (smiley-regexp-alist): Add "dead" smiley.

2007-02-01  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update parser.

2007-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-button-prefer-mid-or-mail): Fix typo in docstring.

2007-01-28  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.

2007-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* uudecode.el (uudecode-string-to-multibyte): New function emulating
	string-to-multibyte.
	(uudecode-decode-region-internal): Use it.

2007-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-home-score-file, gnus-home-adapt-file): Fix
	custom choice.

	* gnus-art.el (gnus-signature-limit): Fix custom choice.

2007-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnsoup.el (nnsoup-directory, nnsoup-packer, nnsoup-packet-directory):
	Use gnus-home-directory instead of "~/" or "$HOME".

2007-01-12  Kenichi Handa  <handa@m17n.org>

	* uudecode.el (uudecode-decode-region-internal): Make it work in a
	multibyte buffer.

2007-01-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-auto-select-first): Improve doc string.

2007-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-soup.el: Add missing :group in previous change.

2007-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-soup.el (gnus-soup): New custom group.  Make user variables
	customizable.

2007-01-03  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Put back code to merge the
	headers read from disk with the ones newly found in the current search.
	This should no longer cause problems, because the article numbers in
	Gmane's `nov.php' output are ignored since the previous change.

2006-01-03  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Keep the mapping stable for
	solid groups.

2006-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnweb.el (nnweb-gmane-create-mapping): Use the article number from
	the headers when creating the mapping to avoid mismappings.
	(nnweb-gmane-create-mapping): Always nix out old mapping.

2007-01-02  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gmm-utils.el (gmm-tool-bar-style): Fix custom type.

2007-01-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Use itimer function for XEmacs.

2006-12-30  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-sum.el (gnus-summary-insert-dormant-articles): Fix typo in
	message.

2006-12-29  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* nnimap.el (nnimap-expunge-search-string): Mention
	nnimap-search-uids-not-since-is-evil in docstring.

2006-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el: Revert to make-obsolete-variable because
	define-obsolete-variable-alias is not supported in Emacs 21.

2006-12-28  Daiki Ueno  <ueno@unixuser.org>

	* gnus-sum.el (gnus-summary-next-article): Make sure we are in the
	summary buffer.

2006-12-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-ifile-path, spam-ifile-database-path)
	(spam-bogofilter-path): Use define-obsolete-variable-alias instead of
	make-obsolete-variable.

2006-12-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-fqdn): Fix comment.
	(message-bogus-system-names): Add ".local".

	* spam.el (spam-ifile-path, spam-ifile-program)
	(spam-ifile-database-path, spam-ifile-database)
	(spam-bogofilter-path, spam-bogofilter-program): Rename variables.
	Don't use "path" inappropriately.
	(spam-spamoracle-database, spam-get-ifile-database-parameter): Fix doc
	strings.
	(spam-check-ifile, spam-ifile-register-with-ifile)
	(spam-check-bogofilter, spam-bogofilter-register-with-bogofilter): Use
	new variable names.

	* gnus-art.el (gnus-treat-display-x-face, gnus-treat-display-face)
	(gnus-treat-display-smileys): Simplify using
	gnus-image-type-available-p.

	* gnus-ems.el (gnus-image-type-available-p): Use display-images-p if
	available.

2006-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-fetch): Replace buffer's contents with the decoded
	one after turning on the buffer's multibyteness instead of decoding
	them directly in the unibyte buffer that causes unexpected conversion
	in Emacs 23 (unicode).

2006-12-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-tool-bar-gnome): Exchange connect and
	disconnect icons.  Add help text.

2006-12-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* legacy-gnus-agent.el: Add Copyright notice.

2006-12-12  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): Fix last change.

2006-12-08  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-make-thread-indent-array): New optional arg
	specifying array size.
	(gnus-summary-insert-line, gnus-summary-prepare-threads): Regrow indent
	array if it is too small.
	(gnus-sort-threads-recursive): Renamed from gnus-sort-thread-1.
	(gnus-sort-threads-loop): New function.

2006-12-06  Chris Moore  <dooglus@gmail.com>

	* gnus-sum.el (gnus-sort-threads, gnus-summary-limit-children):
	Use `max' to avoid the value of `max-lisp-eval-depth' decreasing.

2006-12-04  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* mm-url.el (mm-url-predefined-programs): Call curl with correct
	options.

2006-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml2015.el (mml2015-pgg-clear-verify): Replace encode-coding-string
	with mm-encode-coding-string.

2006-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nneething.el (nneething-decode-file-name): Replace
	decode-coding-string with mm-decode-coding-string.

2006-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs)
	(gnus-agent-regenerate-group): Fix space/tab mixup in messages.

	* gnus-art.el (gnus-article-x-face-command, gnus-numeric-save-name):
	* gnus-group.el (gnus-group-sort-function, gnus-group-line-format)
	(gnus-group-mode, gnus-group-read-group, gnus-group-delete-group)
	(gnus-group-make-directory-group, gnus-group-transpose-groups):
	* gnus-start.el (gnus-options-subscribe, gnus-options-not-subscribe)
	(gnus-subscribe-newsgroup, gnus-1):
	* gnus-sum.el (gnus-summary-make-false-root, gnus-make-threads):
	* gnus.el (gnus-nntp-server, gnus-use-cross-reference)
	(gnus-valid-select-methods, total-expire, gnus-summary-line-format)
	(gnus-group-read-only-p): Fix space/tab mixup in docstrings.

2006-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-string-to-multibyte): Alias to identity in XEmacs.

2006-11-18  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Make last fix more thorough
	and comment it.

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update regexp.

2006-11-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-extract-address-components): Improve comment.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-extract-address-components): Work with address in
	which the name portion contains @.

2006-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-start): Move custom group up.
	(gnus-select-method): Don't autoload, but make it available for
	`customize-variable'.
	(gnus-getenv-nntpserver): Don't autoload.

2006-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Use mm-string-as-unibyte instead of
	mm-with-unibyte-current-buffer to make string unibyte.

	* mm-decode.el (mm-insert-part): Use mm-string-to-multibyte instead of
	mm-string-as-multibyte.

2006-11-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Merge from the trunk to fix the bug WRT double encoded
	subjects.
	(message-replacement-char): New variable.
	(message-fix-before-sending): Use it.
	(message-simplify-subject): New function to remove duplicate code.
	(message-reply, message-followup): Use it.
	(message-simplify-subject-functions): New variable.
	(message-strip-subject-encoded-words): New function.

2006-11-08  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* gnus-sum.el (gnus-summary-catchup): Use gnus-sorted-intersection
	instead of gnus-intersection because arguments of gnus-sorted-nunion
	must be sorted.  This avoids corruption of gnus-newsgroup-unreads.

2006-11-03  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-diary.el (gnus-diary-delay-format-function):
	* nndiary.el (nndiary-reminders):
	* nnsoup.el (nnsoup-always-save): Use "non-nil" in docstrings.

2006-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-boring-headers): Fetch date from
	gnus-original-article-buffer to avoid problems with localized date
	strings.

2006-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* html2text.el (html2text-format-tags): Avoid infloop on open tags.

2006-10-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-iso-8859-list, mm-codepage-ibm-list):
	New variables.
	(mm-setup-codepage-iso-8859, mm-setup-codepage-ibm): New functions.
	(mm-charset-synonym-alist): Move some entries to
	mm-codepage-iso-8859-list.
	(mm-charset-synonym-alist, mm-charset-override-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

2006-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-set-mode-line): Quote % in group name.

2006-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-make-mode-line-string): Make it compatible
	with Emacs 21 and XEmacs.

2006-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-view.el: Add interactive arg to html2text autoload.

2006-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Use no-encode for `B B'.

2006-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-doc-group): Work for non-ASCII group
	names.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name.

2006-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-headers-to-generate): Fix typo in docstring.

2006-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-mime): Remove unused custom group.
	(gnus-getenv-nntpserver, gnus-select-method): Autoload.

2006-10-13  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Use RFC 2440 definition of
	"blank line" when searching for end of armor headers.

2006-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-write-region): Fix variable name.

2006-10-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm-write-region): New function based on compatibility
	code from `mm-make-temp-file'.

	* mm-util.el (mm-make-temp-file): Use `gmm-write-region'.

	* nnmaildir.el (nnmaildir--update-nov)
	(nnmaildir-request-replace-article, nnmaildir-request-accept-article):
	Use `gmm-write-region'.

2006-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Clarify
	gnus-summary-limit-to-articles.

2006-10-04  Romain Francoise  <romain@orebokech.com>

	* gnus-util.el (gnus-alist-to-hashtable, gnus-hashtable-to-alist):
	Moved here (and renamed) from gnus-registry.el.

	* gnus-registry.el: Require gnus-util.
	Use `gnus-alist-to-hashtable' and `gnus-hashtable-to-alist'.

2006-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-authentication-scheme): Clarify doc.
	(pop3-movemail): Warn about pop3-leave-mail-on-server.

2006-10-04  Dave Love  <fx@gnu.org>

	* pop3.el (pop3-authentication-scheme): Add custom version.

2006-10-04  Jesper Harder  <harder@ifa.au.dk>

	* pop3.el (pop3-leave-mail-on-server): Don't quote nil in
	doc string.  Improve doc string.

2006-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-with-local-quit): New macro.

	* gnus-demon.el (gnus-demon): Replace with-local-quit with it.

2006-09-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gmm-utils.el (gmm): Adjust custom version.

	* mm-util.el (mm-charset-override-alist, mm-charset-eval-alist): Adjust
	custom version.

	* gnus-draft.el (gnus-draft-mode): Don't call `mml-mode'.

2006-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-demon.el (gnus-demon): Use with-local-quit to avoid hangs.

2006-09-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnslashdot.el (nnslashdot-request-article): Update end-of-article
	regexp.  Articles containing quotation were cut prematurely.

2006-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cite-original-without-signature): Use nobody by
	default for the value of From header.
	(message-cite-original): Ditto.
	(message-reply): Ditto.

2006-09-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-leave-mail-on-server): Mention problem of duplicate
	mails in the doc string.  Add some URLs in comment.

2006-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings): Fix
	backslashes handling and the way to find boundaries of quoted strings.

2006-09-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-regexp, gnus-button-marker-list)
	(gnus-button-last): Move up.  Convert comments into doc strings.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-send-mail-with-sendmail): Look for sendmail in
	several common directories.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Make it fast.

2006-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-encoded-words): Don't infloop in XEmacs.

	* rfc2047.el (rfc2047-strip-backslashes-in-quoted-strings): Decode `\\'
	in quoted string into `\'.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	Use standard-syntax-table.

2006-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-decode-address-function): New variable.
	(article-decode-encoded-words): Use it to decode headers which are
	assumed to contain addresses.
	(gnus-mime-delete-part): Remove useless `or'.

	* gnus-sum.el (gnus-decode-encoded-address-function): New variable.
	(gnus-summary-from-or-to-or-newsgroups): Use it to decode To header.
	(gnus-nov-parse-line): Use it to decode From header.
	(gnus-get-newsgroup-headers): Ditto.
	(gnus-summary-enter-digest-group): Use it to decode `to-address'.

	* mail-parse.el (mail-decode-encoded-address-region): New alias.
	(mail-decode-encoded-address-string): New alias.

	* rfc2047.el (rfc2047-quote-special-characters-in-quoted-strings):
	New function.
	(rfc2047-encode-message-header, rfc2047-encode-region): Use it.
	(rfc2047-strip-backslashes-in-quoted-strings): New fnction.
	(rfc2047-decode-region): Use it; add optional argument `address-mime'.
	(rfc2047-decode-string): Ditto.
	(rfc2047-decode-address-region): New function.
	(rfc2047-decode-address-string): New function.

2006-08-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	[ Backported bug fix from No Gnus. ]

	* gnus.el (gnus-find-method-for-group): On killed/unknown groups, try
	looking up the method using GROUP's prefix before inventing a new one.
	It is used on killed/unknown groups in various places where returning
	an all-new method isn't expected by the caller.

	* gnus-util.el (gnus-group-server): Copy required macro from No Gnus.

2006-08-13  Romain Francoise  <romain@orebokech.com>

	* mm-extern.el (mm-extern-mail-server): End `y-or-n-p' prompt with a
	space.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Use binary rather than raw-text-unix.

2006-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Make sure the eol conversion doesn't take
	place when communicating with the external programs.  Reported by
	ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2006-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Fix typo in comment.

2006-07-31  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.
	Make it more robust by parsing author and date independently.

2006-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work with Mac as well.

2006-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-insert-head): Make it work even if the file
	uses CRLF for the line-break code.

2006-07-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* mm-url.el (mm-url-insert-file-contents): Inhibit Connection: close
	workaround for the url package included with Emacs.

	* nnweb.el (nnweb-google-create-mapping): Update regexp.

2006-07-18  Karl Fogel  <kfogel@red-bean.com>

	* nnmail.el (nnmail-article-group): If splitting raises an error, give
	some information about the error when saying that the `bogus' mail
	group will be used.

2006-07-18  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	[ Backported bug fixes from No Gnus. ]

	* nnweb.el (nnweb-google-parse-1): Update regexp for author and date.
	(nnweb-google-search): Respect nnweb-max-hits as upper bound.
	(nnweb-request-article): Do proper xwfu encoding when fetching articles
	by message-id.

	* gnus-srvr.el (gnus-browse-unsubscribe-group): Don't subscribe
	unsubscribed groups as if they were killed ones.  It causes duplicate
	entries in gnus-newsrc-alist.

2006-07-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-delete-article): Don't use TAB in doc
	string.

2006-07-16  NAKAJI Hiroyuki  <nakaji@heimat.jp>  (tiny change)

	* mm-util.el (mm-charset-synonym-alist): Map windows-31j to cp932.

2006-07-14  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-start.el (gnus-subscribe-options-newsgroup-method): Doc fix.

2006-06-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-user-format-function-d)
	(gnus-user-format-function-D): Autoload.

2006-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-select-group): Doc fix.
	[ See 2004-05-19 change on the trunk. ]

2006-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Allow `*'s in parameter values.

2006-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.

2006-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-syntax-checks): Doc fix.
	(message-send-mail): Add check for continuation headers.
	(message-check-news-header-syntax): Fix regexp used to check for
	continuation headers.

2006-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-display-mime): Make sure body ends with newline.

2006-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-mime-mule-charset-alist): Use unicode-precedence-list
	to fill the utf-8 entry.

2006-06-05  Dan Christensen  <jdc@uwo.ca>

	* gnus-sum.el (gnus-summary-read-group-1): When summary is unthreaded,
	respect display group parameter and gnus-summary-expunge-below.
	(gnus-articles-to-read): Remove unused reference to display group
	parameter.
	[ Merge 2004-07-06 change from the trunk. ]

2006-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-ml.el (gnus-mailing-list-subscribe)
	(gnus-mailing-list-unsubscribe, gnus-mailing-list-owner)
	(gnus-mailing-list-message): Fix doc strings.

2006-05-29  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-ml.el (gnus-mailing-list-message): Use gnus-url-mailto instead
	of doing it manually.

2006-05-29  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-possibly-synchronize-flags): A server
	must be explicitly online rather than "not explicitly offline" for
	its flags to be synchronized.
	(gnus-agent-read-local): All symbols allocated in my-obarray
	(gnus-agent-set-local): Skip invalid entries (min and/or max is nil).
	(gnus-agent-regenerate-group): Check numeric names to see if they are
	messages or groups.

2006-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-save-all-headers): Mention it might be overridden.
	(gnus-saved-headers): Ditto.
	(gnus-default-article-saver): Doc fix; add
	gnus-summary-write-body-to-file; mention functions may have properties.
	(gnus-article-save-coding-system): New variable.
	(gnus-article-save): Override gnus-save-all-headers and
	gnus-saved-headers by :headers property which saver function may have.
	(gnus-read-save-file-name): Add optional `dir-var' argument which
	specifies directory in which files are saved; work even if optional
	`variable' argument is not specified.
	(gnus-summary-save-in-file): Add properties :decode and :headers.
	(gnus-summary-write-to-file): Add properties :decode, :function, and
	:headers; read file name.
	(gnus-summary-save-body-in-file): Add :decode property; add optional
	`overwrite' argument.
	(gnus-summary-write-body-to-file): New function; add properties
	:decode and :function.
	(gnus-output-to-file): Add coding cookie and encode text according
	to gnus-article-save-coding-system; don't use mm-append-to-file.

	* gnus-sum.el (gnus-newsgroup-last-directory): New variable.
	(gnus-summary-local-variables): Add it.
	(gnus-summary-save-map): Add gnus-summary-write-article-body-file.
	(gnus-summary-save-article): Require gnus-art; save decoded articles
	if function that gnus-default-article-saver specifies has `:decode'
	property; bind gnus-prompt-before-saving to t when saving many
	articles in a file; move point to article which will be saved.
	(gnus-summary-write-article-body-file): New function.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* uudecode.el (uudecode-decode-region-external): Fix previous commit.

2006-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-enrich-utf-8-by-mule-ucs): Don't edit
	after-load-alist.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* uudecode.el (uudecode-decode-region-external): nil isn't a valid
	coding system in XEmacs, use binary.

	* mail-source.el (mail-sources): Fix custom type.

	* imap.el (Commentary): Fix typo.

2006-05-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-save-article-mail): Clarify doc string.
	(gnus-summary-expire-articles-now): Shorten prompt.

	* gmm-utils.el (wid-edit): Require.
	(defun-gmm): Renamed from `gmm-defun-compat'.
	(gmm-image-search-load-path): Use it.
	(gmm-image-load-path-for-library): Use it.  Sync with `mh-compat.el'.

2006-05-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-dissect-buffer): Remove spurious double assignment.
	(mm-copy-to-buffer): Use with-current-buffer.
	(mm-display-part): Simplify.
	(mm-inlinable-p): Add optional arg `type'.

	* gnus-art.el (gnus-mime-view-part-as-type): Add optional PRED arg.
	(gnus-mime-view-part-externally, gnus-mime-view-part-internally):
	Try harder to show the attachment internally or externally using
	gnus-mime-view-part-as-type.

2006-05-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-view-part-as-type-internal): Try to fetch
	`filename' from Content-Disposition if Content-Type doesn't
	provide `name'.
	(gnus-mime-view-part-as-type): Set default instead of initial-input.

2006-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Assume buffer is made
	unibyte after clear-decrypt function runs.

	* mml2015.el (mml2015-pgg-clear-decrypt): Treat data which pgg
	returns as a unibyte string.

2006-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): No need to load pgg.el, which is
	always loaded by way of gnus-art.el -> mm-uu.el -> mml2015.el.
	(mml1991-pgg-encrypt): Ditto.

2006-04-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-deuglify-unwrap-min)
	(gnus-outlook-deuglify-unwrap-max): Remove autoload.

	* mml-sec.el (mml-secure-method): New internal variable.
	(mml-secure-sign, mml-secure-encrypt, mml-secure-message-sign)
	(mml-secure-message-sign-encrypt, mml-secure-message-encrypt):
	New functions using mml-secure-method.  Sync from the trunk.

	* mml.el (mml-mode-map): Add key bindings for those functions.
	(mml-menu): Simplify security menu entries.  Suggested by Jesper
	Harder <harder@myrealbox.com>.  Sync from the trunk.

	* message.el (message-valid-fqdn-regexp): Add TLDs .cat, jobs,
	.mobi and .travel.  Remove .nato, .bitnet and .uucp.
	(message-in-body-p): New function.  Sync from the trunk.

	* mml.el (mml-mode, mml-dnd-protocol-alist)
	(mml-dnd-attach-options, mml-dnd-attach-file)
	(mml-attach-file, mml-attach-buffer, mml-attach-external):
	Sync DND support and use of message-in-body-p from the trunk.

2006-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-pgg-sign): Make sure to load pgg.el before
	binding pgg-* variables; reimplement the section which prevents
	MIME header from being signed.
	(mml1991-pgg-encrypt): Make sure to load pgg.el before binding
	pgg-text-mode; remove a blank line at the top of body.

	* mm-uu.el (mm-uu-pgp-encrypted-extract-1): Don't remove blank
	lines at the top of body; use gnus-newsgroup-charset if there's no
	Charset header.

2006-04-25  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-wash-article): Sync up to new Google HTML.

2006-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-pgp-signed-test): Erase prompt.
	(mm-uu-pgp-encrypted-test): Ditto.
	(mm-uu-pgp-encrypted-extract-1): Make sure there's a blank line
	between header and body; return application/pgp-encrypted handle
	if decryption failed; decode decrypted body by charset.

	* mm-decode.el (mm-automatic-display): Don't make application/pgp
	element match to application/pgp-*.

2006-04-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-replace-in-string):
	Prefer replace-regexp-in-string over of replace-in-string.

2006-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el: Bind tool-bar-mode instead of tool-bar-map.

	* gnus-sum.el: Ditto.

	* gnus-util.el (gnus-select-frame-set-input-focus):
	Use select-frame-set-input-focus if it is available in XEmacs; use
	definition defined in Emacs 22 for old Emacsen.

2006-04-17  Reiner Steib  <Reiner.Steib@gmx.de>

	[ Merge from Gnus trunk. ]

	* mm-util.el (mm-charset-synonym-alist): Improve doc string.
	(mm-charset-override-alist): New variable.
	(mm-charset-to-coding-system): Use it.
	(mm-codepage-setup): New helper function.
	(mm-charset-eval-alist): New variable.
	(mm-charset-to-coding-system): Use mm-charset-eval-alist.
	Warn about unknown charsets.  Add allow-override.
	Use `mm-charset-override-alist' only when decoding.
	(mm-detect-mime-charset-region): Use :mime-charset.

	* mm-bodies.el (mm-decode-body, mm-decode-string):
	Call `mm-charset-to-coding-system' with allow-override argument.

	* message.el (message-tool-bar-zap-list, message-tool-bar)
	(message-tool-bar-gnome, message-tool-bar-retro): New variables.
	(message-tool-bar-local-item-from-menu): Remove.
	(message-tool-bar-map): Replace by `message-make-tool-bar'.
	(message-make-tool-bar): New function.
	(message-mode): Use `message-make-tool-bar'.

	* gnus-sum.el (gnus-summary-tool-bar)
	(gnus-summary-tool-bar-gnome, gnus-summary-tool-bar-retro)
	(gnus-summary-tool-bar-zap-list): New variables.
	(gnus-summary-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.

	* gnus-group.el (gnus-group-tool-bar, gnus-group-tool-bar-gnome)
	(gnus-group-tool-bar-retro, gnus-group-tool-bar-zap-list):
	New variables.
	(gnus-group-make-tool-bar): Complete rewrite using
	`gmm-tool-bar-from-list'.
	(gnus-group-tool-bar-update): New function.

	* gmm-utils.el: New file.

2006-04-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* flow-fill.el (fill-flowed): Remove trailing space from blank
	quoted lines.

2006-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-mode):
	Set cursor-in-non-selected-windows to nil.

2006-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-as-charset): Ignore charset
	that the part specifies.

	* mm-decode.el (mm-display-part): Work with external parts and
	usual parts similarly.

	* mm-extern.el (mm-inline-external-body): Use mm-display-part
	instead of gnus-display-mime.

	* gnus-uu.el (gnus-uu-save-article): Put mml tags instead of part
	tag to summarized topics part in order to encode non-ASCII text.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-localpart-regexp): Exclude `@'.

2006-04-11  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* gnus-sieve.el (gnus-sieve-generate): Delete from the start of
	the sieve region.

2006-04-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Gnus v5.10.8 is released.

2006-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Fix up to new layout.

	* rfc2047.el (rfc2047-decode-encoded-words): Don't message about
	unknown charset.

	* message.el (message-header-synonyms): Add Original-To to the default.

	* gnus-sum.el (gnus-get-newsgroup-headers-xover): Group is an
	optional parameter.

2006-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-fun.el (gnus): Require it for gnus-directory.

2006-04-04  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-google-create-mapping): Update regexp.
	Some whitespace was matched into the url, which broke browsing hits
	> 100 when mm-url-use-external was nil.

2006-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-update-tool-bar): Add :initialize and :set.

2006-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-insert-mime): Ignore cached contents of
	message/external-body part.

	* mm-decode.el (mm-get-part): Add optional 'no-cache' argument.
	(mm-insert-part): Ditto.

2006-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-map-articles): Don't funcall symbol macro.
	Reported by Ralf Wachinger <rwachinger@gmx.de>.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-encode-string): Use mm-disable-multibyte
	instead of set-buffer-multibyte.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Work on unibyte
	buffer and then decode the buffer text if necessary.
	(rfc2231-encode-string): Be sure to work on multibyte buffer at
	first, and after mm-encode-body, change the buffer to unibyte.

2006-03-21  Daniel Pittman  <daniel@rimspace.net>

	* nnimap.el (nnimap-request-update-info-internal): Optimize.
	Don't `gnus-uncompress-range' to avoid excessive memory usage.

2006-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-queue-mail): Fix custom tag for `t'.

	* spam.el (spam-mark-new-messages-in-spam-group-as-spam):
	Add comment on version.

2006-03-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-mark-new-messages-in-spam-group-as-spam): New variable.
	(spam-mark-junk-as-spam-routine): Use it.  Allow to disable
	assigning the spam-mark to new messages.

2006-03-20  Adam Sj,Ax(Bgren  <asjo@koldfront.dk>

	(spam-ham-copy-or-move-routine): Don't declare `todo' twice.

2006-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add missing test smiley.

2006-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-with-part): New macro.
	(mm-get-part): Use it; work with message/external-body as well.
	(mm-save-part): Treat name and filename equally.

	* mm-extern.el (mm-extern-cache-contents): New function.
	(mm-inline-external-body): Use it; force the part to be displayed;
	move undisplayer added to the cached handle to the parent.

	* gnus-art.el (gnus-mime-save-part-and-strip): Add name parameter.
	(gnus-mime-view-part-as-type): Work with message/external-body.

	* gnus-util.el (gnus-tool-bar-update): Bind tool-bar-mode.

2006-03-15  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* gnus-art.el (gnus-article-only-boring-p):
	Bind inhibit-point-motion-hooks to avoid infinite loop when entering
	intangible text.
	Reported by Ralf Wachinger <rwnewsmampfer@geekmail.de>.

2006-03-14  Simon Josefsson  <jas@extundo.com>

	* message.el (message-unique-id): Don't use message-number-base36
	if (user-uid) is a float.
	Reported by Bjorn Solberg <bjorn_ding1@hekneby.org>.

2006-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect): Dissect all parts correctly.

	* gnus-art.el (gnus-mime-display-single): Make sure there is an
	empty line between a part and a message part.

2006-03-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* smiley.el: Add more test smileys.
	(smiley-data-directory, smiley-regexp-alist)
	(gnus-smiley-file-types): Fix doc strings.
	(smiley-update-cache): Clear smiley-cached-regexp-alist before
	adding new elements.
	(smiley-mouse-map): Unused code.  Make it a comment.

2006-03-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-scan-groups): Add autoload cookie;
	scan latest NoCeM messages instead of old ones.
	(gnus-nocem-check-article): Fix regexps so as to match to PGP
	delimiters that are recently used.
	(gnus-nocem-load-cache): Add autoload cookie.

	* gnus.el (gnus-use-nocem): Enable it to be set to also a number.

	* gnus-start.el (gnus-setup-news): Scan NoCeM messages if a group
	level which is larger than gnus-use-nocem is specified.

	* gnus-group.el (gnus-group-get-new-news): Ditto.

2006-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-tool-bar-update): New function.

	* gnus-group.el (gnus-group-update-tool-bar): New variable.
	(gnus-group-insert-group-line): Add gnus-tool-bar-update.

	* gnus-topic.el (gnus-topic-prepare-topic): Add gnus-tool-bar-update.

2006-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-split-it): Invert match-partial-words behavior
	if optional last element is specified in splits (FIELD VALUE...).

2006-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-cid-retrieve-1): Check carefully whether
	handle is multipart when calling it recursively.
	(mm-w3m-cid-retrieve): Display warning if retrieving fails.

2006-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-with-unibyte-current-buffer): Change "Emacs 23"
	to "Emacs 23 (unicode)" in doc string.

	* gnus-sum.el (gnus-summary-set-display-table): Change "Emacs 23" to
	"Emacs 23 (unicode)" in comment.

2006-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-get-part): Don't use mm-with-unibyte-current-buffer.

	* gnus-sum.el (gnus-summary-set-display-table): Don't nix out
	characters 160 through 255 in Emacs 23.

2006-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Encode parts other than text/* or
	message/* containing non-ASCII text properly.

2006-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-with-unibyte-current-buffer): Add note.

2006-02-28  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* nnweb.el (nnweb-gmane-create-mapping): Don't choke on ^M.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-search):
	Use new nov.php.

2006-02-28  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-gmane-create-mapping)
	(nnweb-gmane-wash-article, nnweb-gmane-search): Fix Gmane web
	groups.  Kudos to Olly Betts <olly@survex.com> for providing NOV
	output on the server side.
	(nnweb-google-create-mapping): Update regexps and add some
	progress indication.

2006-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-user-fqdn): Remove useless * in doc string.

	* gnus-draft.el (gnus-draft-send): Bind message-signature to avoid
	unnecessary interaction when sending queued mails.  Reported by
	TAKAHASHI Yoshio <tkh@jp.fujitsu.com>.

2006-02-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Respect gnus-batch-mode.
	Merge of 2006-02-20 change from the trunk.

2006-02-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Protect more against buggy tcp output.
	Merge of 2006-02-20 change from the trunk.

2006-02-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-sequence-of-unread-articles): Return nil if
	first or last are nil.

2006-02-24  Simon Josefsson  <jas@extundo.com>

	* flow-fill.el (fill-flowed): Flow-fill unquoted lines too.
	Merge of 2005-10-26 change from the trunk.

2006-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed): Bind adaptive-fill-mode to nil.
	Remove space stuffing, and only do quotes that actually start with
	">" at the beginning of the lines.
	Merge of 2005-11-17 and 2004-07-25 from the trunk.

2006-02-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* utf7.el (utf7-utf-16-coding-system): Fix comment.  utf-16-be is
	also available in Emacs 21.3.

	* message.el (message-fix-before-sending): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* qp.el (quoted-printable-encode-region): Change "Emacs 22" to
	"Emacs 23 (unicode)" in comment.

	* mm-util.el: Change "Emacs 22" to "Emacs 23 (unicode)" in
	comment.
	(mm-coding-system-p): Add comment about no-MULE XEmacs.

	* mm-view.el (mm-fill-flowed): Add :version.

2006-02-23  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* mm-view.el (mm-fill-flowed): New variable.
	(mm-inline-text): Use it.

2006-02-21  Wolfram Fenske  <wolfram.fenske@student.uni-magdeburg.de>  (tiny change)

	* nnimap.el (nnimap-request-move-article): Change folder back to
	source group before deleting.

2006-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Don't check the
	coding system which mm-charset-to-coding-system returns for a
	given charset is valid.

2006-02-16  Juanma Barranquero  <lekktu@gmail.com>

	* html2text.el (html2text-remove-tag-list):
	* spam-stat.el (spam-stat-buffer-words): Fix typo in docstring.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-cus.el: Revert 2005-10-17 change.

2006-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Call
	article-really-strip-banner only when the regexp match is made.

2006-02-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-strip-banner): Use
	gnus-extract-address-components instead of
	mail-header-parse-addresses to make it work with non-ASCII text.

	* rfc2231.el (rfc2231-parse-string): Attempt to parse parameter
	values which are surrounded with \"...\"; make it never cause a
	Lisp error; give up parsing of parameters if it failed in
	extracting type.

2006-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file): Import the Emacs 22 version of
	make-temp-file; make it work with Emacs 20 and XEmacs as well.

	* mm-decode.el (mm-display-external): Use the 3rd arg of
	mm-make-temp-file.
	(mm-create-image-xemacs): Ditto.

2006-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-send): Replace message-narrow-to-head
	with message-narrow-to-headers.
	(gnus-draft-setup): Narrow to header to run message-fetch-field.
	(gnus-draft-check-draft-articles): New function.
	(gnus-draft-edit-message, gnus-draft-send-message): Use it.

2006-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnoo.el (nnoo-declare): Don't generate duplicate entries when
	re-loading nn* modules.

2006-02-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Remove bogus comment.

2006-02-09  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-pgg-sign): Enable pgg-text-mode.
	(mml2015-pgg-encrypt): Ditto.

	* mml1991.el (mml1991-pgg-sign): Enable pgg-text-mode.
	(mml1991-pgg-encrypt): Ditto.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnfolder.el (nnfolder-insert-newsgroup-line): Use
	message-make-date instead of current-time-string.

	* mm-view.el (mm-inline-message): Don't set gnus-newsgroup-charset
	to gnus-decoded which mm-uu might set.

2006-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Sort segmented parameters;
	don't decode quoted parameters; remove misimported Emacs code.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-decode-encoded-string): Don't use split-string which
	behaves differently according to Emacs version; use
	mm-decode-coding-region to convert charset to coding-system.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Remove misimported Emacs code.

2006-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-decode-charset): Don't use ignore-errors
	when calling mail-header-parse-content-type.
	(article-de-quoted-unreadable): Ditto.
	(article-de-base64-unreadable): Ditto.
	(article-wash-html): Ditto.

	* mm-decode.el (mm-dissect-buffer): Don't use ignore-errors when
	calling mail-header-parse-content-type and
	mail-header-parse-content-disposition.
	(mm-find-raw-part-by-type): Don't use ignore-errors when calling
	mail-header-parse-content-type.

	* mml.el (mml-insert-mime-headers): Use mml-insert-parameter to
	insert charset and format parameters; encode description after
	inserting it to buffer.
	(mml-insert-parameter): Fold lines properly even if a parameter is
	segmented into two or more lines; change the max column to 76.

	* rfc1843.el (rfc1843-decode-article-body): Don't use
	ignore-errors when calling mail-header-parse-content-type.

	* rfc2231.el (rfc2231-parse-string): Return at least type if
	possible; don't cause an error even if it fails in parsing of
	parameters.  Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't break lines at the beginning, leave
	it to mml-insert-parameter.

	* webmail.el (webmail-yahoo-article): Don't use ignore-errors when
	calling mail-header-parse-content-type.

2006-02-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-use-article-number):
	Improve doc string.
	(spam-report-gmane-internal): Check if a suitable header was found
	in the article.

2006-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Revert 2006-02-03 change.
	(rfc2231-encode-string): Make param*=value always begin with LWSP.

2006-02-05  Romain Francoise  <romain@orebokech.com>

	Update copyright notices of all files in the gnus directory.

2006-02-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-error): Describe `args'.

2006-02-03  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-request-group): Avoid growing overview files.

2006-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Add missing semicolons to
	segmented lines of parameter value to cope with Thunderbird 1.5
	bug (cf. https://bugzilla.mozilla.org/show_bug.cgi?id=323318).
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(rfc2231-encode-string): Don't make lines exceeding 76 column.

2006-02-01  Max Froumentin  <max@lapin-bleu.net>  (tiny change)

	* mml.el (mml-generate-mime-1): Correct the order of inline signed
	parts.

2006-01-31  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-group-alist): Use defvar instead of defvoo,
	there's only one active file for all servers.
	(nnweb-request-scan): Make sure nnweb-articles is initialized on
	solid groups.  Gnus might have used a FAST request to select the group.
	(nnweb-request-group, nnweb-google-parse-1): Don't keep nnweb-type
	and nnweb-search redundantly in the active file.
	(nnweb-request-list): Don't list bogus groups.  There can only be one.
	(nnweb-request-create-group): Don't use ARGS.
	(nnweb-possibly-change-server, nnweb-request-group): Remove some
	initialisations.  Let nnoo do the work.

2006-01-31  Romain Francoise  <romain@orebokech.com>

	* message.el (message-alternative-emails): Improve docstring.
	(message-setup-1): Call `message-use-alternative-email-as-from'
	after `message-setup-hook' to give it precedence over posting
	styles, etc.
	(message-use-alternative-email-as-from): Add docstring.
	Remove the original From header if present.

2006-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-emacs-sources-extract, mm-uu-diff-extract):
	Say the part has been decoded.

2006-01-31  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-viewer-passes-test): Don't put "(nil t)" into
	mailcap-viewer-test-cache when there's no 'test clause, since that
	will invert the meaning of a "nil" test previously determined by
	mailcap-mailcap-entry-passes-test.

2006-01-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-google-parse-1): Clarify some comments.

2006-01-30  Andreas Seltenreich  <uwi7@stud.uni-karlsruhe.de>

	* nnweb.el (nnweb-type-definition, nnweb-google-parse-1)
	(nnweb-google-create-mapping, nnweb-google-search): Adapt to
	current Google Groups.

2006-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (clean): New rule.
	(distclean): Use it.

2006-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Ignore it if a given part
	is dissected into a single part of which the type is the same as
	the given one; decode charset.

2006-01-21  Kevin Ryde  <user42@zip.com.au>

	* mailcap.el (mailcap-parse-mailcap-extras): "test" key must go
	into alists as symbol not string, since that's what
	mailcap-viewer-passes-test and mailcap-mailcap-entry-passes-test
	look for.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Reduce the number of
	recursive calls.

2006-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): New variable.
	(mm-w3m-standalone-supports-m17n-p): New function.
	(mm-inline-text-html-render-with-w3m-standalone): Use it to alter
	w3m usage.

	* gnus-art.el (gnus-article-wash-html-with-w3m-standalone): Use
	mm-w3m-standalone-supports-m17n-p to alter w3m usage.

2006-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-dissect-text-parts): Decode content transfer
	encoding.

2006-01-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-file): Describe `description' in doc string.
	(mml-menu): Add Emacs MIME manual and PGG manual.

2006-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-group-ham-mark-p, spam-group-spam-mark-p)
	(spam-group-spam-marks, spam-list-articles, spam-group-ham-marks):
	Revert 2006-01-08 change because the functions will be used in No
	Gnus.

2006-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-body): Don't decode decoded body.

	* mm-uu.el (mm-uu-dissect-text-parts): Dissect dissected parts.

2006-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-inlined-types): Add application/pgp.
	(mm-automatic-display): Ditto.

	* mm-uu.el (mm-uu-dissect-text-parts): Recognize application/pgp
	part as text.

2006-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el: Update copyright.
	(nnrss-opml-import): Query whether to subscribe to each entry.

	* gnus-art.el:
	* gnus-cus.el:
	* gnus-group.el:
	* gnus-start.el:
	* gnus-sum.el:
	* mm-uu.el:
	* mm-view.el: Update copyright.

2006-01-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-info): New function.
	(message-mode-menu): Add it.
	Update copyright.

	* ChangeLog: Fix and update copyright.

2006-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-uu.el (mm-uu-text-plain-type): New variable.
	(mm-uu-pgp-signed-extract-1): Use it.
	(mm-uu-pgp-encrypted-extract-1): Use it.
	(mm-uu-dissect): Use it; allow two optional arguments; one is a
	flag specifying whether there's no message header; the other is
	for a MIME type and parameters; bind mm-uu-text-plain-type with
	the later one.
	(mm-uu-dissect-text-parts): New function.

	* gnus-art.el (gnus-display-mime): Use mm-uu-dissect-text-parts to
	dissect text parts.

2006-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-wash-html): Use
	gnus-summary-show-article-charset-alist if a numeric arg is given.
	(gnus-article-wash-html-with-w3m-standalone): New function.

	* mm-view.el (mm-text-html-renderer-alist): Map w3m-standalone to
	mm-inline-text-html-render-with-w3m-standalone.
	(mm-text-html-washer-alist): Map w3m-standalone to
	gnus-article-wash-html-with-w3m-standalone.
	(mm-inline-text-html-render-with-w3m-standalone): New function.

2006-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-wash-html-in-text-plain-parts): New variable.
	(nnrss-request-article): Render text/plain parts as HTML.

	* gnus-art.el (gnus-article-wash-html-with-w3m): No need to narrow
	the buffer.

2006-01-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cus.el (gnus-group-parameters): Sync posting-style with
	custom definition of `gnus-posting-styles'.

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bind
	print-circle.  Suggested by Kalle Olavi Niemitalo <kon@iki.fi>.

2006-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-useful-groups): Use Gmane for ding.
	Use nntp for bug archive.

2006-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Fix the way to fill text/plain
	parts.
	(nnrss-normalize-date): New function converts ISO 8601 date into
	RFC822 style.  Suggested by Mark Plaksin <happy@mcplaksin.org>.
	(nnrss-check-group): Use it.

2006-01-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-work-articles): Remove useless `min'.

	* nnrss.el (nnrss-fetch): Make it fail gracefully when it can't
	fetch a feed.  Suggested by Mark Plaksin <happy@mcplaksin.org>.
	(nnrss-insert-w3): Ditto.

2005-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Fix last change; fill
	text/plain parts.

2005-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Replace <br />s with newlines
	in text/plain part.
	(nnrss-check-group): Don't add excessive newline to dc:subject.

2005-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-delete-text-of-type): Enable it to
	remove MIME buttons associated with multipart/alternative parts.
	(gnus-mime-display-alternative): Tag buttons using `article-type'
	text property.

	* gnus-msg.el (gnus-copy-article-buffer): Remove MIME buttons
	associated with multipart/alternative parts.

2005-12-19  Mark Plaksin  <happy@mcplaksin.org>  (tiny change)

	* nnrss.el (nnrss-check-group): Put the RSS dc:subject in the
	article.

2005-12-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Make sure we check the buffer size before
	removing tcp headers.

2006-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* spam.el (spam-group-ham-mark-p, spam-group-spam-mark-p)
	(spam-group-spam-marks): Delete functions.
	(spam-list-articles): Just call spam-group-ham-marks directly.
	(spam-group-ham-marks): Simplify.

2005-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-signature-separator): Fix custom type.

	* mm-decode.el (mm-inlined-types): Fix custom type.
	(mm-keep-viewer-alive-types): Ditto.
	(mm-automatic-display): Ditto.
	(mm-attachment-override-types): Ditto.
	(mm-inline-override-types): Ditto.
	(mm-automatic-external-display): Ditto.

2005-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-buttonized-mime-types): Mention addition of
	multipart/alternative and add xref to mm-discouraged-alternatives
	in doc string.

	* mm-decode.el (mm-discouraged-alternatives): Add xref to
	gnus-buttonized-mime-types in doc string.

2005-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Recognize
	us-ascii as a MIME charset.

	* mm-bodies.el (mm-decode-content-transfer-encoding): Protect
	against the case where the 2nd arg TYPE is nil.

2005-12-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-no-server-1): Mention
	`gnus-level-default-subscribed' in doc string.

2005-12-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-start-draft-setup): Enforce
	`gnus-draft-mode' for nndraft:drafts at startup.

	* gnus.el (gnus-splash): Change custom group.
	(gnus-group-get-parameter, gnus-group-parameter-value): Describe
	allow-list argument.

	* gnus-agent.el (gnus-agent-article-alist-save-format): Format doc
	string.

2005-12-09  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* mm-decode.el (mm-display-external): Add missing cdr.

2005-12-12  Richard M. Stallman  <rms@gnu.org>

	* mm-url.el (mm-url-load-url): Require url-parse and url-vars.

2005-12-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-discouraged-alternatives): Fix custom type.
	Suggest image/.* in the doc string.

2005-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Use nametemplate (defined in
	RFC1524) if it is in mailcap or add a suffix according to
	mailcap-mime-extensions when generating a temp filename; postpone
	deleting a temp file for 2 seconds for some wrappers, shell
	scripts, and so on, which might exit right after having started a
	viewer command as a background job.

2005-12-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-default-article-saver): Add user-defined
	`function' to custom type.

2005-12-02  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* mm-view.el (mm-inline-text-html-render-with-w3m): Fix misplaced
	parens.

2005-11-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cache.el (gnus-cache-rename-group): Wrap doc strings and
	long lines.
	(gnus-cache-delete-group): Wrap doc strings.

	* gnus-agent.el (gnus-agent-rename-group)
	(gnus-agent-delete-group): Wrap doc strings.

2005-11-24  Pascal Rigaux  <pixel@mandriva.com>  (tiny change)

	* rfc2231.el (rfc2231-parse-string): Support non-ascii chars.

2005-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use current-time instead
	of current-time-string.

2005-11-20  Stefan Schimanski  <schimmi@debian.org>  (tiny change)

	* nnmail.el (nnmail-fancy-expiry-target): Protect against invalid
	date header.

2005-11-16  Boris Samorodov  <bsam@ipt.ru>  (tiny change)

	* imap.el (imap-kerberos4-open): Ignore SSL stuff.

2005-11-14  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-article-alist-save-format): Changed
	internal variable to a custom variable.  Changed default value
	from compressed(2) to uncompressed(1).
	(gnus-agent-read-agentview): Reversed revision 7.8 to restore
	support for uncompressed agentview files.  Taken together, reading
	the agentview file should now be 6-7 times faster.
	(gnus-agent-long-article,
	gnus-agent-short-article, gnus-agent-score): Renamed category
	keywords to match gnus-cus.
	(gnus-agent-summary-fetch-series): Modified to protect against
	gnus-agent-summary-fetch-group clearing processable flags.
	(gnus-agent-synchronize-group-flags): Update live group buffer as
	synchronization may occur due to the user toggling the plugged
	status.
	(gnus-agent-braid-nov): Now tests new nov entries
	for duplicates which are removed.  The invalid sort check then
	triggers a rescan after the sort as sorting may have moved
	duplicate entries such that they can be cheaply detected.
	(gnus-agent-read-local): Trivial fix to format of
	error message to display actual error condition.
	(gnus-agent-save-local): Avoid saving symbols that are bound to
	nil as they simply result in a warning message in
	gnus-agent-read-local.
	(gnus-agent-fetch-group-1): Clear downloadable flag when article
	successfully downloaded.
	(gnus-agent-regenerate-group): Use
	gnus-agent-synchronize-group-flags to reset read status in both
	gnus and server.

	* nntp.el (nntp-end-of-line): Doc fix.
	(nntp-authinfo-rejected): New error condition.
	(nntp-wait-for): Use new error condition to signal authentication
	error.
	(nntp-retrieve-data): Rethrow new error condition to break out of
	recursive call to nntp-send-authinfo.

2005-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-dribble-read-file): Use make-local-variable
	rather than make-variable-buffer-local for file-precious-flag.

2005-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-dribble-read-file): Quote file-precious-flag.

2005-11-11  Jan Nieuwenhuizen  <janneke@gnu.org>

	* gnus-start.el (gnus-dribble-read-file): Set file-precious-flag,
	as a buffer-local variable.  This avoids creating truncated
	dribble files as a result of a hang up, eg.

2005-11-04  Ken Manheimer  <ken.manheimer@gmail.com>

	* pgg-pgp.el (pgg-pgp-encrypt-region, pgg-pgp-decrypt-region)
	(pgg-pgp-encrypt-symmetric-region, pgg-pgp-encrypt-symmetric)
	(pgg-pgp-encrypt, pgg-pgp-decrypt-region, pgg-pgp-decrypt)
	(pgg-pgp-sign-region, pgg-pgp-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.
	(pgg-pgp-decrypt-region, pgg-pgp-sign-region): Use new name for
	pgg-add-passphrase-to-cache function.

	* pgg-pgp5.el (pgg-pgp5-encrypt-region, pgg-pgp5-decrypt-region)
	(pgg-pgp5-encrypt-symmetric-region, pgg-pgp5-encrypt-symmetric)
	(pgg-pgp5-encrypt, pgg-pgp5-decrypt-region, pgg-pgp5-decrypt)
	(pgg-pgp5-sign-region, pgg-pgp5-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.
	(pgg-pgp5-sign-region): Use new name of pgg-add-passphrase-to-cache
	function.

2005-10-29  Ken Manheimer  <ken.manheimer@gmail.com>

	* pgg-gpg.el (pgg-gpg-select-matching-key): Fix: look at the right
	part of the decoded armor to find the key-identifier.
	(pgg-gpg-lookup-key-owner): New function to return the
	human-readable identifier of a key owner.
	(pgg-gpg-lookup-id-from-key-owner): Make it easy to identify the
	key itself.
	(pgg-gpg-decrypt-region): Prompt with the key owner (rather than
	the key value) if we have a key and can match it against a secret
	key.  Also, added a note pointing out fact that the prompt only
	indicates the first matching key.

	* pgg.el (pgg-decrypt): Passing along 'passphrase' in call to
	pgg-decrypt-region.
	(pgg-pending-timers): A new hash for tracking the passphrase cache
	timers, so that new ones supercede old ones.
	(pgg-add-passphrase-to-cache): Rename from
	`pgg-add-passphrase-cache' to reduce confusion (all callers
	changed).  Modified to cancel old timers when new ones are added.
	(pgg-remove-passphrase-from-cache): Rename from
	`pgg-remove-passphrase-cache' to reduce confusion (all callers
	changed).  Modified to cancel old timers when their keys are
	removed from the cache.
	(pgg-cancel-timer): In Emacs, an alias for cancel-timer; in
	XEmacs, an indirection to delete-itimer.
	(pgg-read-passphrase-from-cache, pgg-read-passphrase):
	Extract pgg-read-passphrase-from-cache from pgg-read-passphrase so
	users can only check cache without risk of prompting.  Correct bug in
	notruncate behavior.
	(pgg-read-passphrase-from-cache, pgg-read-passphrase)
	(pgg-add-passphrase-cache, pgg-remove-passphrase-cache):
	Add informative docstrings.
	(pgg-decrypt): Convey provided passphrase in subordinate call to
	pgg-decrypt-region.

2005-10-20  Ken Manheimer  <ken.manheimer+emacs@gmail.com>

	* pgg.el (pgg-encrypt-region, pgg-encrypt-symmetric-region)
	(pgg-encrypt-symmetric, pgg-encrypt, pgg-decrypt-region)
	(pgg-decrypt, pgg-sign-region, pgg-sign): Add optional
	'passphrase' argument, so the passphrase can be managed externally
	and then passed in to the system.

	* pgg.el (pgg-read-passphrase, pgg-add-passphrase-cache)
	(pgg-remove-passphrase-cache): Add optional 'notruncate' argument,
	so the passphrase cache can be used reliably with identifiers
	besides a pgp packet's key id.

	* pgg-gpg.el (pgg-pgp-encrypt-region)
	(pgg-pgp-encrypt-symmetric-region, pgg-pgp-encrypt-symmetric)
	(pgg-pgp-encrypt, pgg-pgp-decrypt-region, pgg-pgp-decrypt)
	(pgg-pgp-sign-region, pgg-pgp-sign): Add optional 'passphrase'
	argument to all these routines, so the passphrase can be managed
	externally and passed in to the system.

	* pgg-gpg.el (pgg-gpg-possibly-cache-passphrase): Add optional
	'notruncate' argument, so the passphrase cache can be used
	reliably with identifiers besides a pgp packet's key id.

2005-10-29  Sascha Wilde  <swilde@sha-bang.de>

	* pgg-gpg.el (pgg-gpg-encrypt-symmetric-region): New function for
	symmetric encryption.
	(pgg-gpg-symmetric-key-p): New function to check for an symmetric
	encrypted session key.
	(pgg-gpg-decrypt-region): When decrypting a symmetric encrypted
	message ask for the passphrase in a proper way.

	* pgg.el (pgg-encrypt-symmetric, pgg-encrypt-symmetric-region):
	New user commands for symmetric encryption.

2005-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-delay.el (gnus-delay-group): Don't autoload.
	It's useless and could trigger a bug in cus-dep.el causing ldefs-boot
	to be re-loaded when customizing the `gnus-delay' group.

2005-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* message.el: Revert last changes.
	(message-insert-citation-line): Use newlines.

2005-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-courtesy-message)
	(message-mark-insert-begin, message-mark-insert-end)
	(message-elide-ellipsis, message-cancel-message)
	(message-add-header, message-change-subject)
	(message-cross-post-followup-to-header)
	(message-cross-post-insert-note, message-reduce-to-to-cc)
	(message-widen-reply, message-delete-not-region)
	(message-kill-to-signature, message-insert-signature)
	(message-insert-importance-high, message-insert-importance-low)
	(message-insert-or-toggle-importance)
	(message-insert-disposition-notification-to)
	(message-indent-citation, message-yank-original)
	(message-cite-original-without-signature, message-cite-original)
	(message-insert-citation-line, message-position-on-field)
	(message-fix-before-sending, message-send-mail-partially)
	(message-send-mail, message-send-mail-with-sendmail)
	(message-send-mail-with-qmail, message-send-news)
	(message-check-news-header-syntax, message-generate-headers)
	(message-insert-courtesy-copy, message-fill-address)
	(message-fill-header, message-shorten-references)
	(message-setup-1, message-cancel-news)
	(message-forward-make-body-plain, message-forward-make-body-mime)
	(message-forward-make-body-mml, message-encode-message-body)
	(message-forward-make-body-digest-plain)
	(message-forward-make-body-digest-mime)
	(message-use-alternative-email-as-from): Insert `hard-newline'
	instead of ordinary newlines.

2005-11-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-generate-headers): Downcase the argument
	given to message-check-element.

2005-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-parameters-case-fold-search): New variable.
	(gnus-parameters-get-parameter): Use it.

	* gnus-score.el (gnus-home-score-file): Doc fix.

2005-11-01  Xavier Maillard  <zedek@gnu-rox.org>  (tiny change)

	* gnus-score.el (gnus-update-score-entry-dates): Doc fix.

2005-10-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Doc fix.

2005-10-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* flow-fill.el (fill-flowed-encode-tests): Restore trailing
	whitespace removed in revision 7.8.  Use concatenated string to
	protect trailing whitespace.

2005-10-27  Jouni K. Sepp,Ad(Bnen  <jks@iki.fi>

	* nnimap.el (nnimap-search-uids-not-since-is-evil): Add variable.
	(nnimap-request-expire-articles): Use it to avoid sending 'UID
	SEARCH UID ... NOT SINCE' queries, for inefficient servers like
	Courier IMAP ("some version from 2004").  Mostly based on similar
	code in the same function.

2005-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-display-completion-list): New function.
	(message-expand-group): Use it; make sure the Completions buffer
	is modifiable.

2005-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* imap.el (imap-open): Handle case where buffer is a buffer
	object.

2005-10-24  Eli Zaretskii  <eliz@gnu.org>

	* pgg-def.el:
	* pgg-gpg.el:
	* pgg-parse.el:
	* pgg-pgp.el:
	* pgg-pgp5.el:
	* pgg.el: Move to the parent lisp directory.

2005-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-sum.el (gnus-ignored-from-addresses): Handle case where
	user-mail-name is an empty string.

2005-10-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-default-adaptive-score-alist): Set defaults
	depending on gnus-score-decay-constant.

2005-10-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-request-article)
	(nnslashdot-retrieve-headers-1): Update to new HTML.

2005-10-23  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-gssapi-program): Align command line parameters
	with latest GNU SASL.
	(imap-gssapi-open): Ignore 'Trying ...' messages from GNU SASL.

2005-10-20  Hiroshi Fujishima  <hiroshi.fujishima@gmail.com>  (tiny change)

	* mail-source.el (mail-source-fetch-pop): Require pop3.
	(mail-source-check-pop): Ditto.

2005-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-encoded-words): Fix the handling of
	errors.

2005-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-treat-strip-trailing-blank-lines)
	(gnus-treat-strip-leading-blank-lines): Improve doc string.

	* message.el (message-tool-bar-local-item-from-menu): Fix comment.

2005-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-allow-incomplete-encoded-text): New variable.
	(rfc2047-charset-to-coding-system): New function.
	(rfc2047-decode-encoded-words): New function.
	(rfc2047-decode-region): Use them.
	(rfc2047-decode-cte): Remove.
	(rfc2047-parse-and-decode): Remove.
	(rfc2047-decode): Remove.

2005-10-15  Kenichi Handa  <handa@m17n.org>

	* rfc2047.el (rfc2047-decode-cte): New function.
	(rfc2047-decode-region): Change the way to decode successive
	encoded-words: decode B- or Q-encoding in each encoded-word,
	concatenate them, and decode it as charset.

2005-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* gnus-cus.el (gnus-custom-map): New variable.  Bind mouse-1 to
	widget-move-and-invoke.
	(gnus-custom-mode): Use gnus-custom-map.

2005-10-15  Bill Wohler  <wohler@newt.com>

	* message.el (message-tool-bar-map): Renamed image file from
	mail_send to mail/send.

2005-10-16  Masatake YAMATO  <jet@gyve.org>

	* message.el (message-expand-group): Pass the common
	prefix substring of completion to `display-completion-list'.

2005-10-09  Daniel Brockman  <daniel@brockman.se>

	* format-spec.el (format-spec): Propagate text properties of % spec.

2005-01-21  Derek Atkins  <warlord@MIT.EDU>  (tiny change)

	* pgg-pgp.el (pgg-pgp-decrypt-region): Use passphrase cache.

2005-10-08  Simon Josefsson  <jas@extundo.com>

	* pgg-parse.el (top-level): Don't require custom, it is
	autoloaded.  (To sync with No Gnus.)

2005-05-09  Georg C. F. Greve  <greve@gnu.org>  (tiny change)

	* pgg-gpg.el (pgg-gpg-possibly-cache-passphrase): Fix PIN caching.

2005-10-08  Simon Josefsson  <jas@extundo.com>

	* pgg-def.el (top-level): Don't require custom, it is
	autoloaded.  (To sync with No Gnus.)

2005-10-04  David Hansen  <david.hansen@gmx.net>

	* nnrss.el (nnrss-request-article): Add support for the comments tag.
	(nnrss-check-group): Ditto.

2005-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-url.el (mm-url-predefined-programs): Add switches for curl.

	* gnus-util.el (gnus-remove-duplicates): Remove.

	* nnmail.el (nnmail-article-group): Use mm-delete-duplicates
	instead of gnus-remove-duplicates.

	* message.el (message-remove-duplicates): Remove.
	(message-idna-to-ascii-rhs-1): Use mm-delete-duplicates instead of
	message-remove-duplicates.

	* mm-util.el (mm-delete-duplicates): Use `delete-dups' if
	available, else use implementation from `delete-dups'.

2005-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* time-date.el: Autoload parse-time-string, XEmacs needs it.

2005-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-inline-media-tests): Check presence of the diff-mode
	function rather than the diff-mode.el package.
	(mm-display-external): Use with-current-buffer.
	(mm-viewer-completion-map, mm-viewer-completion-map):
	Move initialization inside declaration.

2005-09-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Remove useless autoloads.

2005-09-28  Simon Josefsson  <jas@extundo.com>

	* message.el (message-use-idna): Default to t.
	(message-use-idna): Test whether encoding works too.  Doc fix.

2005-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-warn-about-losing-connection): Remove.

2005-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-emacs-sources-regexp): Make variable
	customizable.  Change default value.
	(mm-uu-diff-groups-regexp): Change default value.
	(mm-uu-type-alist): Add doc string.
	(mm-uu-configure): Add doc string.  Make it interactive.
	(mm-uu-diff-groups-regexp): Fix missing quotes from previous commit.

2005-09-27  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs-1): Reformat.

2005-09-27  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* message.el (message-remove-duplicates): New function.
	Implementation borrowed from `gnus-remove-duplicates'.
	(message-idna-to-ascii-rhs): Also encode idna addresses in
	Reply-To:, Mail-Reply-To: and Mail-Followup-To:.
	(message-idna-to-ascii-rhs-1): When `message-use-idna' is 'ask
	only ask about the same idna domain once per header and also tell
	in what header to replace the idna domain.

	* gnus-art.el (article-decode-idna-rhs): Also decode idna
	addresses in Reply-To:, Mail-Reply-To: and Mail-Followup-To:.
	(article-decode-idna-rhs): Fix regexp so that all idna-address in
	a header is decoded and not just the last one.

2005-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Don't modify text if it
	has been decoded.

	* mm-decode.el (mm-insert-part): Don't modify text if it has been
	decoded.

	* mm-view.el (mm-inline-text): Don't strip text props unless
	decoding enriched or richtext parts.

2005-09-25  Romain Francoise  <romain@orebokech.com>

	* gnus-agent.el (gnus-agent-expire-group, gnus-agent-expire):
	* gnus-start.el (gnus-subscribe-interactively):
	* gnus-uu.el (gnus-uu-grab-articles):
	End `yes-or-no-p' and `y-or-n-p' prompts with question mark and
	space.

2005-09-24  Emilio C. Lopes  <eclig@gmx.net>

	* smime.el (smime-sign-buffer, smime-decrypt-buffer):
	* mm-view.el (mm-view-pkcs7-decrypt):
	* gnus-sum.el (gnus-summary-limit-to-extra)
	(gnus-summary-respool-article, gnus-read-move-group-name):
	* gnus-score.el (gnus-summary-increase-score):
	* gnus-util.el (gnus-completing-read-with-default):
	* gnus-art.el (gnus-read-save-file-name)
	(gnus-summary-save-in-rmail, gnus-summary-save-in-mail)
	(gnus-summary-save-in-file, gnus-summary-save-body-in-file):
	* message.el (message-check-news-header-syntax):
	Follow convention for reading with the minibuffer.

2005-09-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-url-ping-plain):
	Use gnus-extended-version as User-Agent.

	* gnus-agent.el (gnus-agent-synchronize-flags): Explain why the
	default value is nil.

2005-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-synchronize-flags): Switch the
	default to nil, to be able to use Gnus at all.  If the default
	switches to something else, then the function should be fixed not
	be exceedingly slow.

2005-09-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-url.el (mm-url-decode-entities): Fix regexp.

2005-09-18  Deepak Goel  <deego@gnufans.org>

	* sieve.el (sieve-help): Fix `message' call: first arg should be a
	format spec.

2005-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-group-startup-message): Bind image-load-path.

2005-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-part): Protect against broken
	MIME messages.

2005-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-edit-article-done): Remove text props
	before parsing header.

2005-09-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane): Fix generation of spam
	report URL.

2005-09-10  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-synchronize-flags): Make the default
	t, based on discussion on the ding list with Robert Epprecht
	<epprecht@solnet.ch>.

2005-09-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane): Make it work without
	X-Report-Spam header.  Gmane now only provides Archived-At.
	This is only used if `spam-report-gmane-use-article-number' is nil.
	(spam-report-gmane-spam-header): Remove.  Not used anymore.

	* nnweb.el (nnweb-google-wash-article): Print a message if article
	is not available.

2005-09-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* gnus-art.el (gnus-mime-display-single): Decode text/* parts
	content before displaying.

2005-09-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml-smime.el: Remove defvar of gnus-extract-address-components.

2005-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Disable support modes.

2005-09-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-tab-body-function): Fixed mismatched custom
	type.

	* gnus.el (gnus-group-change-level-function): Ditto.

	* gnus-msg.el (gnus-outgoing-message-group): Ditto.

	* gnus-art.el (gnus-signature-limit)
	(gnus-article-mime-part-function): Ditto.

2005-09-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnweb.el (nnweb-type-definition, nnweb-google-wash-article):
	Make fetching article by MID work again for Google Groups.  Added
	FIXME concerning gnus-group-make-web-group.

	* mml-smime.el (mml-smime-sign-query, mml-smime-get-dns-cert):
	Don't depend on Gnus by using mail-extract-address-components if
	gnus-extract-address-components is not bound.

	* gnus.el (gnus-user-agent): Use list of symbols instead of
	symbols.  Display full version number for (S)XEmacs.  Optionally
	display (S)XEmacs codename.

	* gnus-util.el (gnus-emacs-version): Update for new
	`gnus-user-agent'.

	* gnus-msg.el (gnus-extended-version): Make it possible to omit
	Gnus version.

2005-09-02  Hrvoje Niksic  <hniksic@xemacs.org>

	* mm-encode.el (mm-encode-content-transfer-encoding): Likewise
	when encoding.

	* mm-bodies.el (mm-decode-content-transfer-encoding):
	De-canonicalize CRLF for all text content types, not just
	text/plain.

2005-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-thread-hide-subtree): Doc fix.

	* gnus-msg.el (gnus-inews-insert-gcc): Fix the mistake of using
	list, not listp.

2005-08-29  Romain Francoise  <romain@orebokech.com>

	* gnus-fun.el (gnus-convert-image-to-face-command): Fix typo in
	docstring.
	(gnus-face-from-file): Likewise.

2005-08-31  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (w3m-minor-mode-map):
	* gnus-spec.el (gnus-newsrc-file-version):
	* gnus-util.el (nnmail-active-file-coding-system)
	(gnus-original-article-buffer, gnus-user-agent):
	* gnus.el (gnus-ham-process-destinations)
	(gnus-parameter-ham-marks-alist)
	(gnus-parameter-spam-marks-alist, gnus-spam-autodetect)
	(gnus-spam-autodetect-methods, gnus-spam-newsgroup-contents)
	(gnus-spam-process-destinations, gnus-spam-process-newsgroups):
	* mm-decode.el (gnus-current-window-configuration):
	* mm-extern.el (gnus-article-mime-handles):
	* mm-url.el (url-current-object, url-package-name)
	(url-package-version):
	* mm-view.el (gnus-article-mime-handles, gnus-newsgroup-charset)
	(smime-keys, w3m-cid-retrieve-function-alist)
	(w3m-current-buffer, w3m-display-inline-images)
	(w3m-minor-mode-map):
	* mml-smime.el (gnus-extract-address-components):
	* mml.el (gnus-article-mime-handles, gnus-mouse-2)
	(gnus-newsrc-hashtb, message-default-charset)
	(message-deletable-headers, message-options)
	(message-posting-charset, message-required-mail-headers)
	(message-required-news-headers):
	* mml1991.el (mc-pgp-always-sign):
	* mml2015.el (mc-pgp-always-sign):
	* nnheader.el (nnmail-extra-headers):
	* rfc1843.el (gnus-decode-encoded-word-function)
	(gnus-decode-header-function, gnus-newsgroup-name):
	* spam-stat.el (gnus-original-article-buffer): Add defvars.

2005-08-22  Karl Chen  <quarl@cs.berkeley.edu>

	* gnus-art.el (gnus-treatment-function-alist): Move date-lapsed to
	the end of the date treatments.

2005-08-15  Simon Josefsson  <jas@extundo.com>

	* pgg.el (url-insert-file-contents): Don't autoload it, Emacs has
	it in url-handlers.el and XEmacs in url.el.  Reported by Luca
	Capello and Romain Francoise.
	(pgg-fetch-key-function): Removed, not used?
	(pgg-insert-url-with-w3): Require url, to get
	url-insert-file-contents regardless of where it is defined.

2005-08-08  Simon Josefsson  <jas@extundo.com>

	* pgg.el: Autoload url-insert-file-contents instead of loading
	w3/url.
	(pgg-insert-url-with-w3): Don't load url here.

2005-08-05  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-pgg-sign): Make sure micalg is correct.

	* pgg-parse.el (pgg-parse-hash-algorithm-alist): Add SHA-2.

2005-08-06  Romain Francoise  <romain@orebokech.com>

	* message.el: Fix typo in docstring.

2005-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-encode-body): Use coding system rather than
	charset to encode text.

	* mm-util.el (mm-find-mime-charset-region): Attempt to reduce the
	number of charsets if utf-8 is available (XEmacs).

2005-08-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-unsplit-urls): Don't anchor urls to the
	start of the lines.
	(gnus-picon-databases): Add /usr/share/picons.

2005-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-localpart-regexp): New variable
	taken from `gnus-button-mid-or-mail-regexp'.
	(gnus-button-mid-or-mail-regexp, gnus-button-alist): Use it.
	(gnus-button-alist): Improve regexp for domain part of the MIDs
	for news:localpart@domain buttons.
	(gnus-button-ctan-directory-regexp): Update.

	* message.el (message-kill-buffer): Raise the current frame.
	(message-bury): Use `window-dedicated-p'.

2005-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sieve-manage.el (sieve-manage-interactive-login): Use
	make-local-variable rather than make-variable-buffer-local.
	(sieve-manage-open): Ditto.
	(sieve-manage-authenticate): Ditto.

	* mml.el (mml-generate-mime-1): Make the content type default to
	text/plain if the filename is not specified.

2005-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-save-article): Use insert-buffer-substring
	instead of insert-buffer.

	* message.el (message-yank-original): Ditto; set the mark at the
	end of the yanked message.

2005-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page-1): Reduce the number of
	lines to scroll rather than to stop it.

	* mml.el (mml-generate-default-type): Add doc string.
	(mml-generate-mime-1): Use mm-default-file-encoding or make it
	default to application/octet-stream when determining the content
	type if it is not specified for the part or the mml contents; add
	a comment about mml-generate-default-type.

2005-07-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-generate-mime-1): Use mm-default-file-encoding or
	make it default to application/octet-stream when determining the
	content type if it is not specified for the external contents.

2005-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Take care that not only a
	segmented parameter but also other parameters might be there.

2005-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Delete temp file, directory
	and buffer immediately if the external process is exited.

2005-07-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page-1): Don't scroll if there're
	fewer lines than that of scroll-margin.
	(gnus-article-prev-page): Narrow the range to bind scroll-in-place.

2005-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Revert.
	(gnus-article-beginning-of-window): New macro.
	(gnus-article-next-page-1): Use it.
	(gnus-article-prev-page): Ditto.
	(gnus-mime-save-part-and-strip): Use insert-buffer-substring
	instead of insert-buffer.
	(gnus-mime-delete-part): Ditto.
	(gnus-article-edit-exit): Ditto.

	* gnus-util.el (gnus-beginning-of-window): Remove.
	(gnus-end-of-window): Remove.

2005-07-25  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-insert-url-with-w3): Don't load w3, it is possible
	to have the url package without w3.  Reported by Daiki Ueno
	<ueno@unixuser.org> and Luigi Panzeri <matley@muppetslab.org>.

2005-07-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mml.el (mml-minibuffer-read-disposition): Don't use inline by default
	for text/rtf.  Display default in prompt.  Pass default for M-n.

	* mm-uu.el (mm-uu-copy-to-buffer): Use with-current-buffer.

2005-07-16  Romain Francoise  <romain@orebokech.com>

	* gnus-uu.el (gnus-uu-save-article): Use `message-make-date'
	instead of `current-time-string' as the latter creates a time
	string that is not RFC 2822 compliant (it lacks the zone).

2005-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-button-mailto): Remove
	save-selected-window-window hackery because it relies on
	save-selected-window internals.

2005-07-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Use gnus-end-of-window.
	(gnus-article-next-page-1): Use gnus-beginning-of-window.
	(gnus-article-prev-page): Ditto.

	* gnus-util.el (gnus-beginning-of-window): New function.
	(gnus-end-of-window): New function.

2005-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-salt.el (gnus-pick-mode): Remove the 5th arg of
	gnus-add-minor-mode.
	(gnus-binary-mode): Ditto.

	* gnus-topic.el (gnus-topic-mode): Ditto.

2005-07-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* gnus-art.el (gnus-article-next-page, gnus-article-next-page-1)
	(gnus-article-prev-page): Take scroll-margin into consideration.

2005-07-04  Lute Kamstra  <lute@gnu.org>

	Update FSF's address in GPL notices.

2005-07-04  Juanma Barranquero  <lekktu@gmail.com>

	* gnus.el (gnus-exit):
	* gnus-group.el (gnus-group-icons):
	* nnmail.el (nnmail-prepare): Fix typos in docstrings.

	* gnus-nocem.el (gnus-nocem):
	* message.el (message-various, message-buffers, message-sending)
	(message-interface, message-forwarding, message-insertion)
	(message-headers, message-news, message-mail):
	* pgg-gpg.el (pgg-gpg):
	* pgg-parse.el (pgg-parse):
	* pgg-pgp.el (pgg-pgp):
	* pgg-pgp5.el (pgg-pgp5):
	* pop3.el (pop3): Finish `defgroup' description with period.

2005-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Improve the efficiency.
	(article-display-x-face): Ditto; remove grey x-face stuff.

2005-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Correct the position in
	which Faces are inserted; use dolist.

2005-06-29  Didier Verna  <didier@xemacs.org>

	* gnus-art.el (article-display-face): Display faces in correct
	order.

2005-06-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-verifyer): Default to pgg-verify.
	(gnus-nocem-check-article): Fetch the Type header.
	(gnus-nocem-message-wanted-p): Fix the way to examine types.
	(gnus-nocem-verify-issuer): Use functionp instead of fboundp.
	(gnus-nocem-enter-article): Make sure gnus-nocem-hashtb is initialized.

	* pgg.el (pgg-verify): Return the verification result.

2005-06-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-mode): Set `nobreak-char-display', not
	`show-nonbreak-escape'.

2005-06-23  Lute Kamstra  <lute@gnu.org>

	* gnus-art.el (gnus-article-mode): Use kill-all-local-variables.

	* dig.el (dig-mode):
	* smime.el (smime-mode): Use gnus-run-mode-hooks.

2005-06-21  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body): Fix spellings.

2005-06-16  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-encrypt-body):
	* gnus-cus.el (gnus-score-customize):
	* mm-extern.el (mm-extern-local-file, mm-inline-external-body):
	* pop3.el (pop3-user): Don't use `format' on `error' arguments.

2005-06-16  Miles Bader  <miles@gnu.org>

	* spam.el (spam): Remove "-face" suffix from face name.
	(spam-face): New backward-compatibility alias for renamed face.
	(spam-face, spam-initialize): Use renamed spam face.

	* message.el (message-header-to, message-header-cc)
	(message-header-subject, message-header-newsgroups)
	(message-header-other, message-header-name)
	(message-header-xheader, message-separator, message-cited-text)
	(message-mml): Remove "-face" suffix from face names.
	(message-header-to-face, message-header-cc-face)
	(message-header-subject-face, message-header-newsgroups-face)
	(message-header-other-face, message-header-name-face)
	(message-header-xheader-face, message-separator-face)
	(message-cited-text-face, message-mml-face):
	New backward-compatibility aliases for renamed faces.
	(message-font-lock-keywords): Use renamed message faces.

	* sieve-mode.el (sieve-control-commands, sieve-action-commands)
	(sieve-test-commands, sieve-tagged-arguments):
	Remove "-face" suffix from face names.
	(sieve-control-commands-face, sieve-action-commands-face)
	(sieve-test-commands-face, sieve-tagged-arguments-face):
	New backward-compatibility aliases for renamed faces.
	(sieve-control-commands-face, sieve-action-commands-face)
	(sieve-test-commands-face, sieve-tagged-arguments-face):
	Use renamed sieve faces.

	* gnus.el (gnus-group-news-1, gnus-group-news-1-empty)
	(gnus-group-news-2, gnus-group-news-2-empty, gnus-group-news-3)
	(gnus-group-news-3-empty, gnus-group-news-4)
	(gnus-group-news-4-empty, gnus-group-news-5)
	(gnus-group-news-5-empty, gnus-group-news-6)
	(gnus-group-news-6-empty, gnus-group-news-low)
	(gnus-group-news-low-empty, gnus-group-mail-1)
	(gnus-group-mail-1-empty, gnus-group-mail-2)
	(gnus-group-mail-2-empty, gnus-group-mail-3)
	(gnus-group-mail-3-empty, gnus-group-mail-low)
	(gnus-group-mail-low-empty, gnus-summary-selected)
	(gnus-summary-cancelled, gnus-summary-high-ticked)
	(gnus-summary-low-ticked, gnus-summary-normal-ticked)
	(gnus-summary-high-ancient, gnus-summary-low-ancient)
	(gnus-summary-normal-ancient, gnus-summary-high-undownloaded)
	(gnus-summary-low-undownloaded)
	(gnus-summary-normal-undownloaded, gnus-summary-high-unread)
	(gnus-summary-low-unread, gnus-summary-normal-unread)
	(gnus-summary-high-read, gnus-summary-low-read)
	(gnus-summary-normal-read, gnus-splash):
	Remove "-face" suffix from face names.
	(gnus-group-news-1-face, gnus-group-news-1-empty-face)
	(gnus-group-news-2-face, gnus-group-news-2-empty-face)
	(gnus-group-news-3-face, gnus-group-news-3-empty-face)
	(gnus-group-news-4-face, gnus-group-news-4-empty-face)
	(gnus-group-news-5-face, gnus-group-news-5-empty-face)
	(gnus-group-news-6-face, gnus-group-news-6-empty-face)
	(gnus-group-news-low-face, gnus-group-news-low-empty-face)
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face)
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face)
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face)
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face)
	(gnus-summary-selected-face, gnus-summary-cancelled-face)
	(gnus-summary-high-ticked-face, gnus-summary-low-ticked-face)
	(gnus-summary-normal-ticked-face)
	(gnus-summary-high-ancient-face, gnus-summary-low-ancient-face)
	(gnus-summary-normal-ancient-face)
	(gnus-summary-high-undownloaded-face)
	(gnus-summary-low-undownloaded-face)
	(gnus-summary-normal-undownloaded-face)
	(gnus-summary-high-unread-face, gnus-summary-low-unread-face)
	(gnus-summary-normal-unread-face, gnus-summary-high-read-face)
	(gnus-summary-low-read-face, gnus-summary-normal-read-face)
	(gnus-splash-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-group-startup-message): Use renamed gnus faces.

	* gnus-srvr.el (gnus-server-agent, gnus-server-opened)
	(gnus-server-closed, gnus-server-denied, gnus-server-offline)
	(gnus-server-agent): Remove "-face" suffix from face names.
	(gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face): Use renamed gnus faces.

	* gnus-picon.el (gnus-picon-xbm, gnus-picon):
	Remove "-face" suffix from face names.
	(gnus-picon-xbm-face, gnus-picon-face):
	New backward-compatibility aliases for renamed faces.

	* gnus-cite.el (gnus-cite-attribution, gnus-cite-1, gnus-cite-2)
	(gnus-cite-3, gnus-cite-4, gnus-cite-5, gnus-cite-6)
	(gnus-cite-7, gnus-cite-8, gnus-cite-9, gnus-cite-10)
	(gnus-cite-11): Remove "-face" suffix from face names.
	(gnus-cite-attribution-face, gnus-cite-face-1, gnus-cite-face-2)
	(gnus-cite-face-3, gnus-cite-face-4, gnus-cite-face-5)
	(gnus-cite-face-6, gnus-cite-face-7, gnus-cite-face-8)
	(gnus-cite-face-9, gnus-cite-face-10, gnus-cite-face-11):
	New backward-compatibility aliases for renamed faces.
	(gnus-cite-attribution-face, gnus-cite-face-list)
	(gnus-article-boring-faces): Use renamed gnus faces.

	* gnus-art.el (gnus-signature, gnus-header-from)
	(gnus-header-subject, gnus-header-newsgroups, gnus-header-name)
	(gnus-header-content): Remove "-face" suffix from face names.
	(gnus-signature-face, gnus-header-from-face)
	(gnus-header-subject-face, gnus-header-newsgroups-face)
	(gnus-header-name-face, gnus-header-content-face):
	New backward-compatibility aliases for renamed faces.
	(gnus-signature-face, gnus-header-face-alist): Use renamed gnus faces.

	* gnus-sum.el (gnus-summary-selected-face)
	(gnus-summary-highlight): Use renamed gnus faces.
	* gnus-group.el (gnus-group-highlight): Likewise.

2005-06-14  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-sieve.el (gnus-sieve-article-add-rule):
	* legacy-gnus-agent.el (gnus-agent-unlist-expire-days):
	* spam-stat.el (spam-stat-buffer-change-to-spam)
	(spam-stat-buffer-change-to-non-spam): Follow error conventions.

	* message.el (message-is-yours-p):
	* gnus-sum.el (gnus-auto-select-subject): Fix quoting in docstring.

2005-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Withdraw the last change.

2005-06-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text): Turn off adaptive-fill-mode while
	executing enriched-decode.

2005-06-04  Luc Teirlinck  <teirllm@auburn.edu>

	* gnus-art.el (article-update-date-lapsed): Use `save-match-data'.

2005-06-04  Lute Kamstra  <lute@gnu.org>

	* nnfolder.el (nnfolder-read-folder): Make sure that undo
	information is never recorded.

2005-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-emphasis-alist): Disable the strikethru thingy.

2005-05-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-x-face): Replace
	process-kill-without-query by gnus-set-process-query-on-exit-flag.

	* gnus-group.el: Bind gnus-cache-active-hashtb when compiling.

	* gnus-util.el (gnus-set-process-query-on-exit-flag): Alias to
	set-process-query-on-exit-flag or process-kill-without-query.

	* html2text.el (html2text-fix-paragraphs): Use `while - re-search'
	loop instead of replace-regexp.

	* imap.el (imap-ssl-open): Use set-process-query-on-exit-flag
	instead of process-kill-without-query if it is available.

	* mm-util.el (mm-insert-file-contents): Bind find-file-hook
	instead of find-file-hooks if it is available.

	* mml1991.el: Bind pgg-default-user-id when compiling.

	* mml2015.el: Bind pgg-default-user-id when compiling.

	* nndraft.el (nndraft-request-associate-buffer):
	Use write-contents-functions instead of write-contents-hooks if it is
	available.

	* nnheader.el (nnheader-find-file-noselect): Bind find-file-hook
	instead of find-file-hooks if it is available.

	* nntp.el (nntp-open-connection): Replace
	process-kill-without-query by gnus-set-process-query-on-exit-flag.
	(nntp-open-ssl-stream): Ditto.
	(nntp-open-tls-stream): Ditto.

2005-05-31  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-ssl-open): Use imap-process-connection-type,
	instead of hard coding to nil.

2005-05-31  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-group.el: Require gnus-sum and autoload functions to
	resolve warnings when gnus-group.el compiled alone.

2005-05-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-regenerate-group)
	(gnus-agent-fetch-articles): Replace `string-to-int' by
	`string-to-number'.
	* gnus-art.el (gnus-button-fetch-group): Ditto.
	* gnus-cache.el (gnus-cache-generate-active)
	(gnus-cache-articles-in-group): Ditto.
	* gnus-group.el (gnus-group-set-current-level)
	(gnus-group-insert-group-line): Ditto.
	* gnus-score.el (gnus-score-set-expunge-below)
	(gnus-score-set-mark-below, gnus-summary-score-effect)
	(gnus-summary-score-entry): Ditto.
	* gnus-soup.el (gnus-soup-send-packet, gnus-soup-parse-areas)
	(gnus-soup-pack): Ditto.
	* gnus-spec.el (gnus-xmas-format): Ditto.
	* gnus-start.el (gnus-newsrc-to-gnus-format): Ditto.
	* gnus-sum.el (gnus-create-xref-hashtb): Ditto.
	* gnus-uu.el (gnus-uu-expand-numbers): Ditto.
	* nnbabyl.el (nnbabyl-article-group-number): Ditto.
	* nndb.el (nndb-get-remote-expire-response): Ditto.
	* nndiary.el (nndiary-parse-schedule-value)
	(nndiary-string-to-number, nndiary-request-replace-article)
	(nndiary-request-article): Ditto.
	* nndoc.el (nndoc-rnews-body-end, nndoc-mbox-body-end): Ditto.
	* nndraft.el (nndraft-articles, nndraft-request-group): Ditto.
	* nneething.el (nneething-make-head): Ditto.
	* nnfolder.el (nnfolder-request-article)
	(nnfolder-retrieve-headers): Ditto.
	* nnheader.el (nnheader-file-to-number): Ditto.
	* nnkiboze.el (nnkiboze-request-article): Ditto.
	* nnmail.el (nnmail-process-unix-mail-format)
	(nnmail-process-babyl-mail-format): Ditto.
	* nnmbox.el (nnmbox-read-mbox, nnmbox-article-group-number): Ditto.
	* nnmh.el (nnmh-update-gnus-unreads, nnmh-active-number)
	(nnmh-request-create-group, nnmh-request-list-1)
	(nnmh-request-group, nnmh-request-article): Ditto.
	* nnml.el (nnml-request-replace-article, nnml-request-article): Ditto.
	* nnrss.el (nnrss-find-rss-via-syndic8): Ditto.
	* nnsoup.el (nnsoup-make-active): Ditto.
	* nnspool.el (nnspool-find-id, nnspool-request-group): Ditto.
	* nntp.el (nntp-find-group-and-number)
	(nntp-retrieve-headers-with-xover): Ditto.
	* pgg-gpg.el (pgg-gpg-snarf-keys-region): Ditto.
	* pgg-parse.el (pgg-read-body, pgg-read-bytes)
	(pgg-format-key-identifier): Ditto.
	* pop3.el (pop3-last, pop3-stat): Ditto.
	* qp.el (quoted-printable-decode-region): Ditto.

	* spam-report.el (spam-report-url-ping-mm-url): Use format instead
	of concat.

2005-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-category-mode): Use gnus-run-mode-hooks.

	* gnus-art.el (gnus-article-mode): Use gnus-run-mode-hooks.

	* gnus-cus.el (gnus-custom-mode): Use gnus-run-mode-hooks.

	* gnus-eform.el (gnus-edit-form-mode): Use gnus-run-mode-hooks.

	* gnus-group.el (gnus-group-mode): Use gnus-run-mode-hooks.

	* gnus-kill.el (gnus-kill-file-mode): Use gnus-run-mode-hooks.

	* gnus-salt.el (gnus-tree-mode): Use gnus-run-mode-hooks.
	(gnus-carpal-mode): Ditto.

	* gnus-srvr.el (gnus-server-mode): Use gnus-run-mode-hooks.
	(gnus-browse-mode): Ditto.

	* gnus-sum.el (gnus-summary-mode): Use gnus-run-mode-hooks.

	* gnus-util.el (gnus-run-mode-hooks): Save current buffer.

2005-05-29  Richard M. Stallman  <rms@gnu.org>

	* gnus-cite.el (gnus-cite-add-face): Set overlay's evaporate property.

2005-05-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-run-mode-hooks): New function.

	* score-mode.el (gnus-score-mode): Use gnus-run-mode-hooks.

2005-05-26  Luc Teirlinck  <teirllm@auburn.edu>

	* gnus-agent.el (gnus-agent-make-mode-line-string):
	Use mode-line-highlight as mouse-face.

2005-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock): Change the parent group to news.

	* deuglify.el (gnus-outlook-deuglify): Add :group.

	* dig.el (dig): Add :group.

	* gnus-art.el (gnus-inhibit-mime-unbuttonizing): Add :group.

	* gnus-cite.el (gnus-cite-attribution-face): Add :group.
	(gnus-cite-face-1, gnus-cite-face-2, gnus-cite-face-3): Ditto.
	(gnus-cite-face-4, gnus-cite-face-5, gnus-cite-face-6): Ditto.
	(gnus-cite-face-7, gnus-cite-face-8, gnus-cite-face-9): Ditto.
	(gnus-cite-face-10, gnus-cite-face-11): Ditto.

	* gnus-diary.el (gnus-diary): Add :group.

	* gnus.el (gnus-group-news-1-face): Add :group.
	(gnus-group-news-1-empty-face): Ditto.
	(gnus-group-news-2-face, gnus-group-news-2-empty-face): Ditto.
	(gnus-group-news-3-face, gnus-group-news-3-empty-face): Ditto.
	(gnus-group-news-4-face, gnus-group-news-4-empty-face): Ditto.
	(gnus-group-news-5-face, gnus-group-news-5-empty-face): Ditto.
	(gnus-group-news-6-face, gnus-group-news-6-empty-face): Ditto.
	(gnus-group-news-low-face, gnus-group-news-low-empty-face): Ditto.
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face): Ditto.
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face): Ditto.
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face): Ditto.
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face): Ditto.
	(gnus-summary-selected-face, gnus-summary-cancelled-face): Ditto.
	(gnus-summary-high-ticked-face): Ditto.
	(gnus-summary-low-ticked-face): Ditto.
	(gnus-summary-normal-ticked-face): Ditto.
	(gnus-summary-high-ancient-face): Ditto.
	(gnus-summary-low-ancient-face): Ditto.
	(gnus-summary-normal-ancient-face): Ditto.
	(gnus-summary-high-undownloaded-face): Ditto.
	(gnus-summary-low-undownloaded-face): Ditto.
	(gnus-summary-normal-undownloaded-face): Ditto.
	(gnus-summary-high-unread-face): Ditto.
	(gnus-summary-low-unread-face): Ditto.
	(gnus-summary-normal-unread-face): Ditto.
	(gnus-summary-high-read-face, gnus-summary-low-read-face): Ditto.
	(gnus-summary-normal-read-face, gnus-splash-face): Ditto.

	* message.el (message-minibuffer-local-map): Add :group.

	* sieve-manage.el (sieve-manage-log): Add :group.
	(sieve-manage-default-user): Diito.
	(sieve-manage-server-eol, sieve-manage-client-eol): Ditto.
	(sieve-manage-streams, sieve-manage-stream-alist): Ditto.
	(sieve-manage-authenticators): Ditto.
	(sieve-manage-authenticator-alist): Ditto.
	(sieve-manage-default-port): Ditto.

	* sieve-mode.el (sieve-control-commands-face): Add :group.
	(sieve-action-commands-face): Ditto.
	(sieve-test-commands-face): Ditto.
	(sieve-tagged-arguments-face): Ditto.

	* smime.el (smime): Add :group.

	* spam-report.el (spam-report): Add :group.

	* spam.el (spam, spam-face): Add :group.

2005-05-26  Lute Kamstra  <lute@gnu.org>

	* score-mode.el (gnus-score-mode): Use run-mode-hooks.

2005-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el: Don't autoload mail-extract-address-components.

	* gnus.el: Use eval-and-compile to autoload message-y-or-n-p.

	* nndb.el: Don't declare the nndb back end two or more times; don't
	autoload news-reply-mode, news-setup, cancel-timer and telnet.

	* nntp.el: Autoload format-spec instead of format; use
	eval-and-compile to evaluate autoload forms.

	* spam-report.el (spam-report-process-queue): Use gnus-point-at-eol.

2005-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Support converting date in
	forwarded parts as well.
	(gnus-article-save-original-date): New macro.
	(gnus-display-mime): Use it.

2005-04-28  David Hansen  <david.hansen@physik.fu-berlin.de>

	* nnrss.el (nnrss-check-group, nnrss-request-article): Support the
	enclosure element of <item>.

2005-04-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-unplug-agent)
	(spam-report-plug-agent, spam-report-deagentize)
	(spam-report-agentize, spam-report-url-ping-temp-agent-function):
	support for the Agent in spam-report: when unplugged, report to a
	file; when plugged, submit all the requests.
	[Added missing offline functionality from trunk.]

2005-04-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-url-to-file)
	(spam-report-requests-file): New function and variable for offline
	reporting.
	(spam-report-url-ping-function): Add `spam-report-url-to-file'
	and user defined function.
	(spam-report-process-queue): New function.
	Process requests from `spam-report-requests-file'.
	(spam-report-url-ping-mm-url): Autoload.
	[Added missing offline functionality from trunk.]

2005-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* qp.el (quoted-printable-encode-region): Save excursion.

2005-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Use mm-string-to-multibyte.
	* qp.el (quoted-printable-encode-region): Use mm-string-to-multibyte.

2005-04-13  Miles Bader  <miles@gnu.org>

	* mm-util.el (mm-string-to-multibyte): Use Gnus trunk definition.

2005-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-node-text): Replace CRLFs (which might be
	contained in text because xml.el decodes entities) with LFs.

2005-04-11  Lute Kamstra  <lute@gnu.org>

	* message.el (message-make-date): Handle byte-compiler warnings
	differently.
	* nnimap.el (nnimap-date-days-ago): Ditto.

2005-04-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-string-to-multibyte): New function.
	(mm-detect-coding-region): Typo.

2005-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Fix misplaced parens.

2005-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-p): Don't return binary for the nil
	argument in XEmacs.

	* nnrss.el (nnrss-compatible-encoding-alist): New variable.
	(nnrss-request-group): Decode group name first.
	(nnrss-request-article): Make a text/plain article if mml-to-mime
	failed.
	(nnrss-get-encoding): Return a compatible encoding according to
	nnrss-compatible-encoding-alist.
	(nnrss-opml-export): Use dolist.
	(nnrss-find-el): Use consp instead of listp.
	(nnrss-order-hrefs): Use dolist.

2005-04-06  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* nnrss.el (nnrss-verbose): Remove.
	(nnrss-request-group): Use `nnheader-message' instead.

2005-04-06  Mark Plaksin  <happy@usg.edu>  (tiny change)

	* nnrss.el (nnrss-verbose): New variable.
	(nnrss-request-group): Make it say nnrss is requesting a group.

2005-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-group-path): Decode group name.
	(gnus-agent-group-pathname): Ditto.

	* gnus-cache.el (gnus-cache-file-name): Decode group name.

	* gnus-group.el (gnus-group-line-format-alist): Use decoded group
	name for only %g and %c.
	(gnus-group-insert-group-line): Bind gnus-tmp-decoded-group
	instead of gnus-tmp-group to decoded group name.
	(gnus-group-make-group): Decode group name.
	(gnus-group-delete-group): Ditto.
	(gnus-group-make-rss-group): Exclude `/'s from group names;
	register the group data after opening the nnrss group; unify
	non-ASCII group names; encode group name.
	(gnus-group-catchup-current): Decode group name.
	(gnus-group-expire-articles-1): Ditto.
	(gnus-group-set-current-level): Ditto.
	(gnus-group-kill-group): Ditto.

	* gnus-spec.el (gnus-update-format-specifications): Flush the
	group format spec cache if it doesn't support decoded group names.

	* mm-url.el (mm-url-predefined-programs): Add --silent arg to curl.

	* nnrss.el: Require rfc2047 and mml.
	(nnrss-file-coding-system): New variable.
	(nnrss-format-string): Redefine it as an inline function.
	(nnrss-decode-group-name): New function.
	(nnrss-string-as-multibyte): Remove.
	(nnrss-retrieve-headers): Decode group name; don't use
	nnrss-format-string.
	(nnrss-request-group): Decode group name.
	(nnrss-request-article): Decode group name; allow a Message-ID as
	well as an article number; don't use nnrss-format-string; encode a
	Message-ID string which may contain non-ASCII characters; use
	mml-to-mime to compose a MIME article; use search-forward instead
	of re-search-forward.
	(nnrss-request-expire-articles): Decode group name.
	(nnrss-request-delete-group): Delete entries in nnrss-group-alist
	as well; decode group name.
	(nnrss-get-encoding): Fix regexp.
	(nnrss-fetch): Clarify error message.
	(nnrss-read-server-data): Use insert-file-contents instead of load;
	bind file-name-coding-system; use multibyte buffer.
	(nnrss-save-server-data): Insert newline; bind
	coding-system-for-write to the value of nnrss-file-coding-system;
	bind file-name-coding-system; add coding cookie.
	(nnrss-read-group-data): Use insert-file-contents instead of load;
	bind file-name-coding-system; use multibyte buffer.
	(nnrss-save-group-data): Bind coding-system-for-write to the
	value of nnrss-file-coding-system; bind file-name-coding-system.
	(nnrss-decode-entities-string): Rename from n-d-e-unibyte-string;
	make it work with non-ASCII text.
	(nnrss-opml-export): Use mm-set-buffer-file-coding-system instead
	of set-buffer-file-coding-system.
	(nnrss-find-el): Check carefully whether there's a list of string
	which old xml.el may return rather than a string; make it work
	with old xml.el as well.

2005-04-06  Tsuyoshi AKIHO  <akiho@kawachi.zaq.ne.jp>

	* gnus-sum.el (gnus-summary-walk-group-buffer): Decode group name.

	* nnrss.el (nnrss-get-encoding): New function.
	(nnrss-fetch): Use unibyte buffer initially; bind
	coding-system-for-read while performing mm-url-insert; remove ^Ms;
	decode contents according to the encoding attribute.
	(nnrss-save-group-data): Add coding cookie.
	(nnrss-mime-encode-string): New function.
	(nnrss-check-group): Use it to encode subject and author.

2005-04-06  Maciek Pasternacki  <maciekp@japhy.fnord.org>  (tiny change)

	* nnrss.el (nnrss-fetch): Signal an error if w3-parse-buffer also
	failed.

2005-04-06  Joakim Verona  <joakim@verona.se>  (tiny change)

	* nnrss.el (nnrss-read-group-data): Fix off-by-one error.

2005-04-06  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-subst-char-in-string): Support inplace.

	* nnrss.el: Pedantic docstring and whitespace fixes (courtesy of
	checkdoc.el).
	(nnrss-request-article): Cleanup.
	(nnrss-request-delete-group): Use nnrss-make-filename.
	(nnrss-read-server-data): Use nnrss-make-filename; use load.
	(nnrss-save-server-data): Use nnrss-make-filename; use gnus-prin1.
	(nnrss-read-group-data): hash on description if link is missing;
	use nnrss-make-filename; use load.
	(nnrss-save-group-data): Use nnrss-make-filename; use gnus-prin1.
	(nnrss-make-filename): New function.
	(nnrss-close): New function.
	(nnrss-check-group): Hash on description if link is missing.
	(nnrss-get-namespace-prefix): Use string= to compare strings!
	Reported by David D. Smith <davidsmith@acm.org>.
	(nnrss-opml-export): Turn on sgml-mode.

2005-04-06  Mark A. Hershberger  <mah@everybody.org>

	* nnrss.el (nnrss-opml-import, nnrss-opml-export): New functions.

2005-04-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-make-date): Add defvars in order to silence
	the byte compiler inside the defun.

	* nnimap.el (nnimap-date-days-ago): Ditto.

	* gnus-demon.el (parse-time-string): Add autoload.

	* gnus-delay.el (parse-time-string): Add autoload.

	* gnus-art.el (parse-time-string): Add autoload.

	* nnultimate.el (parse-time): Require for `parse-time-string'.

2005-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-make-menu-bar): Avoid the
	"Unrecognized menu descriptor" error in XEmacs.

2005-03-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-resend): Bind rfc2047-encode-encoded-words.

	* mm-util.el (mm-replace-in-string): New function.
	(mm-xemacs-find-mime-charset-1): Ignore errors while loading
	latin-unity, which cannot be used with XEmacs 21.1.

	* rfc2047.el (rfc2047-encode-function-alist): Rename from
	rfc2047-encoding-function-alist in order to avoid conflicting with
	the old version.
	(rfc2047-encode-message-header): Remove useless goto-char.
	(rfc2047-encodable-p): Don't move point.
	(rfc2047-syntax-table): Treat `(' and `)' as is.
	(rfc2047-encode-region): Concatenate words containing non-ASCII
	characters in structured fields; don't encode space-delimited
	ASCII words even in unstructured fields; don't break words at
	char-category boundaries; encode encoded words in structured
	fields; treat text within parentheses as special; show the
	original text when error has occurred; move point to the end of
	the region after encoding, suggested by IRIE Tetsuya
	<irie@t.email.ne.jp>; treat backslash-quoted characters as
	non-special; check carefully whether to encode special characters;
	fix some kind of misconfigured headers; signal a real error if
	debug-on-quit or debug-on-error is non-nil; don't infloop,
	suggested by Hiroshi Fujishima <pooh@nature.tsukuba.ac.jp>; assume
	the close parenthesis may be included in the encoded word; encode
	bogus delimiters.
	(rfc2047-encode-string): Use mm-with-multibyte-buffer.
	(rfc2047-encode-max-chars): New variable.
	(rfc2047-encode-1): New function.
	(rfc2047-encode): Use it; encode text so that it occupies the
	maximum width within 76-column; work correctly on Q encoding for
	iso-2022-* charsets; fold the line before encoding; don't append a
	space if the encoded word includes close parenthesis.
	(rfc2047-fold-region): Use existing whitespace for LWSP; make it
	sure not to break a line just after the header name.
	(rfc2047-b-encode-region): Remove.
	(rfc2047-b-encode-string): New function.
	(rfc2047-q-encode-region): Remove.
	(rfc2047-q-encode-string): New function.
	(rfc2047-encode-parameter): New function.
	(rfc2047-encoded-word-regexp): Don't use shy group.
	(rfc2047-decode-region): Follow rfc2047-encoded-word-regexp change.
	(rfc2047-parse-and-decode): Ditto.
	(rfc2047-decode): Treat the ascii coding-system as raw-text by default.

2005-03-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2047.el (rfc2047-encode-encoded-words): New variable.
	(rfc2047-field-value): Strip props.
	(rfc2047-encode-message-header): Disable header folding -- not
	all headers can be folded, and this should be done by the message
	composition mode.  Probably.  I think.
	(rfc2047-encodable-p): Say that =? needs encoding.
	(rfc2047-encode-region): Encode =? strings.

2005-03-25  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-encoded-word-regexp): Support RFC 2231
	language tags; remove unnecessary '+'.  Reported by Stefan Wiens
	<s.wi@gmx.net>.
	(rfc2047-decode-string): Don't cons a string unnecessarily.
	(rfc2047-parse-and-decode, rfc2047-decode): Use a character for
	the encoding to avoid consing a string.
	(rfc2047-decode): Use mm-subst-char-in-string instead of
	mm-replace-chars-in-string.

2005-03-25  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* rfc2047.el (rfc2047-encode): Use uppercase letters to specify
	encodings of MIME-encoded words, in order to improve
	interoperability with several broken MUAs.

2005-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-srvr.el (gnus-browse-select-group): Add NUMBER argument and
	pass it to `gnus-browse-read-group'.
	(gnus-browse-read-group): Add NUMBER argument and pass it to
	`gnus-group-read-ephemeral-group'.

	* gnus-group.el (gnus-group-read-ephemeral-group): Add NUMBER
	argument and pass it to `gnus-group-read-group'.

2005-03-19  Aidan Kehoe  <kehoea@parhasard.net>

	* mm-util.el (mm-xemacs-find-mime-charset): Only call
	mm-xemacs-find-mime-charset-1 if we have the mule feature
	available at runtime.

2005-03-25  Werner Lemberg  <wl@gnu.org>

	* nnmaildir.el: Replace `illegal' with `invalid'.

2005-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-start.el (gnus-display-time-event-handler):
	Check display-time-timer at runtime rather than only at load time
	in case display-time-mode is turned off in the mean time.

2005-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnimap.el (nnimap-open-connection): Print which authinfo file is
	used.

	* nneething.el (nneething-map-file-directory): Derive from
	`gnus-directory'.

	* gnus-art.el (gnus-header-button-alist): Use `gnus-msg-mail' for
	the To/Cc button.

2005-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmaildir.el (nnmaildir-request-accept-article):
	Use `nnheader-cancel-timer' for compatibility with current XEmacs.

2005-03-13  Andrey Slusar  <anrays@gmail.com>  (tiny change)

	* gnus.el: Don't try and mark `gnus-agent-save-groups' as an
	autoloaded function.

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* mm-url.el: Require timer-funcs at compile time when in XEmacs
	for `with-timeout'.

	* mail-source.el: Require timer-funcs at compile time when in
	XEmacs for `run-with-idle-timer'.

	* gnus-async.el: Ditto.

2005-03-16  Lute Kamstra  <lute@gnu.org>

	* message.el (message-make-date): Require parse-time.

2005-03-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-retrieve-headers-from-server): Fix last change.

2005-03-10  Arne J,Ax(Brgensen  <arne@arnested.dk>  (tiny change)

	* nnimap.el (nnimap-retrieve-headers-from-server): Fix off-by-one flaw.

2005-03-08  Bjorn Solberg  <bjorn_ding@hekneby.org>  (tiny change)

	* nnimap.el (nnimap-retrieve-headers-from-server): Sort NOV
	buffer (since IMAP server might return FETCH response out of
	order, and the nntp buffer must be sorted).

2005-03-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Don't autoload former message-utils variables.
	(message-strip-subject-trailing-was): Change doc string.

	* nnweb.el: Fixes for `gnus-group-make-web-group'.
	(nnweb-type-definition): Don't add "hl=en" in `address'.  Add `base'.
	(nnweb-google-search): Add "hl=en" here.
	(nnweb-google-parse-1, nnweb-google-create-mapping):
	Don't hardcode URL.

2005-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-get-reply-headers, message-followup):
	Mention related variables `message-use-followup-to' and
	`message-use-mail-followup-to', in the information buffer.

	* nnweb.el (nnweb-type-definition): Use groups.google.de instead
	of broken groups(-beta).google.com.

2005-03-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Undo last change and fix it in
	a more conservative way.

2005-02-27  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* mm-decode.el (mm-dissect-buffer): Pass the from field on to
	`mm-dissect-multipart' and receive the from field as an (optional)
	argument from `mm-dissect-multipart'.
	(mm-dissect-multipart): Receive the from field as an argument and
	pass it on when we call `mm-dissect-buffer' on MIME parts.
	Fixes verification/decryption of signed/encrypted MIME parts.

2005-02-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Move point after displaying the
	buffer, so it moves the window's cursor.

2005-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnheader.el (nnheader-find-file-noselect): Add doc string.

	* nnfolder.el (nnfolder-read-folder): Use RAWFILE for
	`nnheader-find-file-noselect' to avoid `large-file-warning-threshold'.

	* gnus-sum.el (gnus-summary-caesar-message):
	Apply `gnus-treat-article' after rotation.

	* gnus-group.el (gnus-group-clear-data): Mention process/prefix in
	doc string.

2005-02-22  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* smime.el (smime-sign-buffer): Signal an error if
	`smime-sign-region' fails.
	(smime-encrypt-buffer): Signal an error if `smime-encrypt-region'
	fails.

2005-02-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-parse-news-url, gnus-button-handle-news):
	Handle news URL with given port correctly.

2005-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-copy-article-buffer): Quote decoded words
	containing special characters.

	* gnus-sum.el (gnus-summary-edit-article): Ditto.

	* mml.el (mime-to-mml): Ditto.

	* rfc2047.el (rfc2047-quote-decoded-words-containing-tspecials):
	New variable.
	(rfc2047-decode-region): Quote decoded words containing special
	characters when rfc2047-quote-decoded-words-containing-tspecials
	is non-nil.

2005-02-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-delete-group): Minor bug fix.

	* gnus.el (gnus-install-group-spam-parameters): Doc fix.

2005-02-15  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-debug): Doc fix.

	* imap.el (imap-debug): Doc fix.

2005-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-make-doc-group): Mention prefix
	argument in doc string.  Make query for type more clear.

2005-02-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-group-startup-message): Search for gnus images in
	etc/images/gnus.
	* mm-util.el (mm-image-load-path): Likewise.
	* smiley.el (smiley-data-directory): Search for smilies in
	etc/images/smilies.

2005-02-09  Kim F. Storm  <storm@cua.dk>

	Change Emacs release version from 21.4 to 22.1 throughout.
	Change Emacs development version from 21.3.50 to 22.0.50.

2005-02-08  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-log): Doc fix.

2005-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Show the raw contents if a
	prefix arg is neither nil nor a number, as info specifies.

2005-01-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-article-mode): Turn off the "\ " non-break space.

2005-01-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-beginning-of-line): Change the behavior when
	invoked between BOL and : so that it first moves backward.

2005-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Kill and re-create the
	article buffer when editing of the article is discarded.
	(gnus-article-prepare): Revert.

2005-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-prepare):
	Remove message-strip-forbidden-properties from the local hook.

2005-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Convert string into unibyte when
	inserting " *mml*" buffer's contents into a unibyte temp buffer.

2005-01-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-insert-part): Switch the multibyteness of data
	which will be inserted according to the multibyteness of a buffer
	rather than the type of contents.  Suggested by ARISAWA Akihiro
	<ari@mbf.ocn.ne.jp>.

2005-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-face): New face.  Don't use `gnus-splash-face'
	which is unreadable in some setups.

2004-12-27  Simon Josefsson  <jas@extundo.com>

	* mm-bodies.el (mm-body-encoding): Don't permit 7-bit to be used when
	mm-use-ultra-safe-encoding is enabled (e.g., for PGP/MIME) and we have
	trailing white space.  Reported by Werner Koch <wk@gnupg.org>.

2004-12-17  Kim F. Storm  <storm@cua.dk>

	* gnus-group.el (gnus-group-mode-map): Map follow-link to mouse-face.

	* gnus-sum.el (gnus-summary-mode-map): Likewise.

2004-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-spec.el (gnus-spec-tab): Make a Lisp form which works
	correctly even if there are wide characters.

2004-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-parse-string): Decode encoded value after
	concatenating segments rather than before concatenating them.
	Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2004-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-xemacs-find-mime-charset): New macro.

2004-12-17  Aidan Kehoe  <kehoea@parhasard.net>

	* mm-util.el (mm-xemacs-find-mime-charset-1): New function used to
	unify Latin characters in XEmacs.
	(mm-find-mime-charset-region): Use it.

2004-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-delete-directory): New function.

	* gnus-agent.el (gnus-agent-delete-group): Use it.

	* gnus-cache.el (gnus-cache-delete-group): Use it.

2004-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-narrow-to-page): Don't hardcode point-min.

2004-12-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-rss-group):
	Use gnus-group-make-group instead of gnus-group-unsubscribe-group.

	* gnus-start.el (gnus-setup-news): Honor user's setting to
	gnus-message-archive-method.  Suggested by Lute Kamstra
	<lute@gnu.org>.

2004-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-make-body-mml): Remove headers
	according to message-forward-ignored-headers if a message is decoded.

2004-12-02  Romain Francoise  <romain@orebokech.com>

	* message.el (message-forward-make-body-plain): Always remove
	headers according to message-forward-ignored-headers.

2004-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-string-as-multibyte): Redefine it as a macro in
	order to silence the byte compiler.

	* pop3.el (pop3-md5): Define it before being used.

	* spam.el: Fix the way to silence the byte compiler, which
	complained about bbdb-buffer, bbdb-create-internal,
	bbdb-search-simple, mail-check-payment, spam-BBDB-register-routine,
	spam-enter-ham-BBDB, spam-stat-buffer-change-to-non-spam,
	spam-stat-buffer-change-to-spam, spam-stat-buffer-is-non-spam,
	spam-stat-buffer-is-spam, spam-stat-load,
	spam-stat-register-ham-routine, spam-stat-register-spam-routine,
	spam-stat-save and spam-stat-split-fancy.

2004-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-password): Remove `:size 0' or `:size 1'
	which may confuse users.
	(canlock-password-for-verify): Ditto.

	* deuglify.el (gnus-outlook-deuglify-unwrap-stop-chars): Ditto.

	* gnus-art.el (gnus-emphasis-alist): Ditto.

	* gnus-registry.el (gnus-registry-max-entries): Ditto.

	* gnus-score.el (gnus-adaptive-word-length-limit): Ditto.

	* gnus-start.el (gnus-save-killed-list): Ditto.

	* gnus-sum.el (gnus-thread-hide-subtree): Ditto.
	(gnus-sum-thread-tree-root): Ditto.
	(gnus-sum-thread-tree-false-root): Ditto.
	(gnus-sum-thread-tree-single-indent): Ditto.

	* message.el (message-courtesy-message): Ditto.
	(message-archive-note): Ditto.
	(message-subscribed-address-file): Ditto.
	(message-user-fqdn): Ditto.

	* spam-report.el (spam-report-gmane-regex): Ditto.

	* spam.el (spam-blackhole-good-server-regex): Ditto.

2004-11-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-forbidden-properties): Fix typo in doc string.

2004-11-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-strip-forbidden-properties):
	Bind buffer-read-only (etc) to nil.

2004-11-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-replace-in-string): Add doc string.

	* nnmail.el (nnmail-split-header-length-limit): Increase to 2048
	to avoid problems when splitting mails with many recipients.

2004-11-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-header-encoding-alist): Add In-Reply-To to
	address-mime.  Suggested by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.

2004-11-22  Marek Martin  <marek.martin@mum.pri.ee>  (tiny change)

	* nnfolder.el (nnfolder-request-create-group): Save current buffer.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-exit): Remove redundant and harmful
	pop-to-buffer, covered by the subsequent gnus-configure-windows.

2004-11-14  Luc Teirlinck  <teirllm@auburn.edu>

	* nnfolder.el (nnfolder-save-marks): Add missing format field in
	call to `error'.
	* nnml.el (nnml-save-marks): Ditto.

2004-11-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-convert-old-newsrc):
	Assign legacy-gnus-agent to 5.10.7.

2004-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-emphasis-alist): Don't hide asterisks by
	default; improve customization type.
	(gnus-emphasis-custom-with-format): New macro.
	(gnus-emphasis-custom-value-to-external): New function.
	(gnus-emphasis-custom-value-to-internal): New function.

2004-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-configure-posting-styles): Don't cause the
	"Args out of range" error.  Reported by Arnaud Giersch
	<arnaud.giersch@free.fr>.

2004-11-04  Richard M. Stallman  <rms@gnu.org>

	* spam.el (spam group): Add :version.

	* pgg-def.el (pgg group): Add :version.

2004-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-article): Don't associate the
	article buffer with a draft file.  This is a temporary measure
	against the 2004-08-22 change to gnus-article-edit-mode.

2004-11-02  Ilya N. Golubev  <gin@mo.msk.ru>.

	* mm-util.el (mm-mime-mule-charset-alist): Add the windows-1251
	entry.

2004-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* html2text.el (html2text-get-attr): Remove unused argument `tag'.
	(html2text-format-tags): Remove unused variable `attr'.

	* mm-util.el (mm-enrich-utf-8-by-mule-ucs): Fix cleaning of
	after-load-alist.

	* mm-util.el (mm-enrich-utf-8-by-mule-ucs): New function run when
	Mule-UCS is loaded under XEmacs.
	(mm-mime-mule-charset-alist): Avoid duplicated entries.

	* mm-util.el (mm-coding-system-p): Return a coding-system.
	(mm-mime-mule-charset-alist): Use shift_jis instead of
	iso-2022-jp-2 for the katakana-jisx0201 mule charset; add new
	entries for the mime charsets iso-2022-jp-3 and shift_jis.
	(mm-coding-system-priorities): Use shift_jis and iso-8859-1
	instead of japanese-shift-jis and iso-latin-1 respectively in
	order to share the default value with both Emacs and XEmacs-mule.
	(mm-mule-charset-to-mime-charset):
	Make mm-coding-system-priorities effective.
	(mm-sort-coding-systems-predicate): Canonicalize coding-systems
	while predicating of candidates upon the priorities.

2004-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-summary-resend-default-address): Add :version.

	* spam-stat.el (spam-stat): Add :version.

	* sieve.el (sieve): Add :version.

	* sha1.el (sha1): Add :version.
	(sha1-use-external): Remove redundant version.

	* nnmail.el (nnmail-split-fancy-with-parent-ignore-groups)
	(nnmail-cache-ignore-groups, nnmail-spool-hook)
	(nnmail-split-fancy-match-partial-words)
	(nnmail-split-lowercase-expanded): Add :version.

	* nndiary.el (nndiary): Add :version.

	* mml2015.el (mml2015-unabbrev-trust-alist): Add :version.

	* mml-sec.el (mml-default-sign-method)
	(mml-default-encrypt-method, mml-signencrypt-style-alist):
	Add :version.

	* mm-uu.el (mm-uu-diff-groups-regexp): Add :version.

	* mm-url.el (mm-url-use-external, mm-url-program)
	(mm-url-arguments): Add :version.

	* mm-decode.el (mm-inline-text-html-with-w3m-keymap)
	(mm-attachment-file-modes, mm-decrypt-option)
	(mm-w3m-safe-url-regexp): Add :version.

	* message.el (message-cite-prefix-regexp)
	(message-sendmail-envelope-from, message-minibuffer-local-map)
	(message-user-fqdn, message-completion-alist): Add :version.

	* gnus-win.el (gnus-configure-windows-hook)
	(gnus-use-frames-on-any-display): Add :version.

	* gnus-art.el (gnus-article-address-banner-alist)
	(gnus-treat-unsplit-urls, gnus-treat-unfold-headers)
	(gnus-treat-from-picon, gnus-treat-mail-picon)
	(gnus-treat-x-pgp-sig): Add :version.

	* gnus-sum.el (gnus-spam-mark, gnus-recent-mark)
	(gnus-undownloaded-mark, gnus-summary-article-move-hook)
	(gnus-summary-article-delete-hook)
	(gnus-summary-display-while-building): Add :version.

	* gnus-start.el (gnus-subscribe-newsgroup-hooks)
	(gnus-get-top-new-news-hook):Add :version.

	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face): Add :version.

	* gnus-registry.el (gnus-registry): Add :version.

	* gnus-spec.el (gnus-use-correct-string-widths)
	(gnus-make-format-preserve-properties): Add :version.

	* gnus.el (gnus-group-charter-alist)
	(gnus-group-fetch-control-use-browse-url)
	(gnus-install-group-spam-parameters): Add :version.

	* gnus-diary.el (gnus-diary): Add :version.

	* gnus-delay.el (gnus-delay): Add :version.

	* gnus-cite.el (gnus-cite-unsightly-citation-regexp)
	(gnus-cite-ignore-quoted-from, gnus-cite-attribution-face)
	(gnus-cite-blank-line-after-header, gnus-article-boring-faces):
	Add :version.

	* gnus-agent.el (gnus-agent-max-fetch-size)
	(gnus-agent-enable-expiration, gnus-agent-queue-mail)
	(gnus-agent-prompt-send-queue): Add :version.

	* deuglify.el (gnus-outlook-deuglify): Add :version.

	* html2text.el: Beautify code.  Improve doc strings.  Some
	checkdoc cleanup.
	(html2text-get-attr, html2text-fix-paragraph): Simplify code.

2004-11-01  Alfred M. Szmidt  <ams@kemisten.nu>  (tiny change)

	* html2text.el (html2text-format-tag-list): Add "strong" and "em".

2004-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-configure-posting-styles): Work with empty
	signature file.  Suggested by Manoj Srivastava
	<srivasta@golden-gryphon.com>.

	* mm-util.el (mm-coding-system-priorities): Prefer iso-8859-1 than
	iso-2022-jp even in the Japanese language environment.
	Suggested by Jason Rumney <jasonr@gnu.org>.

2004-10-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-update-summary-mark-positions): Allow users to
	use the same characters as the dummy marks; make it free from
	getting affected by the language environment.
	(gnus-summary-read-group-1): Update mark positions only when the
	format spec is updated.

	* gnus-spec.el (gnus-update-format-specifications): Return a list
	of updated types.

2004-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnspool.el (nnspool-spool-directory): Use news-path if the
	news-directory variable is not bound.

	* gnus-group.el (gnus-group-line-format-alist): Convert the value
	of gnus-tmp-news-method into string if it may be passed to
	gnus-correct-length which takes only a string argument.

2004-10-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* html2text.el (html2text-buffer-head): Remove.  Use `goto-char'
	instead.

2004-10-24  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-start.el (gnus-convert-old-newsrc): Fix numeric
	comparison on string.

2004-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Inhibit font-lock when
	running the major-mode function.

2004-10-21  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-start.el (gnus-convert-old-newsrc): Two of the converters
	have been backported to 'Gnus v5.11' from 'No Gnus v0.2'.  Added a
	boolean check to not apply converters that apply to future
	versions of gnus.

2004-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-update-summary-mark-positions): Search for
	dummy marks in the right way.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* nnagent.el (nnagent-request-type): Bind gnus-agent to nil to
	avoid infinite recursion via gnus-get-function.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-synchronize-group-flags):
	When necessary, pass full group name to gnus-request-set-marks.
	(gnus-agent-synchronize-group-flags): Add support for sync'ing
	tick marks.
	(gnus-agent-synchronize-flags-server): Be silent when writing file.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-synchronize-group-flags):
	Replace gnus-request-update-info with explicit code to sync the
	in-memory info read flags with the marks being sync'd to the backend.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-possibly-synchronize-flags): Ignore servers
	that are offline.  Avoids having gnus-agent-toggle-plugged first ask if
	you want to open a server and then, even when you responded with no,
	asking if you want to synchronize the server's flags.
	(gnus-agent-synchronize-flags-server): Rewrite read loop to handle
	multi-line expressions.
	(gnus-agent-synchronize-group-flags): New internal function.
	Updates marks in memory (in the info structure) AND in the backend.
	(gnus-agent-check-overview-buffer): Fix range of
	deletion to remove entire duplicate line.  Fixes merged article
	number bug.

	* gnus-util.el (gnus-remassoc): Fix typo in documentation.

	* nnagent.el (nnagent-request-set-mark):
	Use gnus-agent-synchronize-group-flags, not backend's request-set-mark
	method, to ensure that synchronization updates marks in the
	backend and in the info (in memory) structure.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-synchronize-flags-server): Do nothing
	unless plugged.  Disable the agent so that an open failure causes
	an error.

2004-10-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-agent.el (gnus-agent-fetched-hook): Add :version.
	(gnus-agent-go-online): Change :version.
	(gnus-agent-expire-unagentized-dirs)
	(gnus-agent-auto-agentize-methods): Add :version.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* legacy-gnus-agent.el
	(gnus-agent-convert-to-compressed-agentview-prompt):
	New function.  Used internally to only display 'gnus converting
	files' message when actually necessary.

	* gnus-sum.el: Remove (require 'gnus-agent) as required
	methods now autoloaded.

	* gnus-int.el (gnus-request-move-article):
	Use gnus-agent-unfetch-articles in place of gnus-agent-expire to
	improve performance.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-cat-groups): Rewrite avoiding defsetf
	to avoid run-time CL dependencies.
	(gnus-agent-unfetch-articles): New function.
	(gnus-agent-fetch-headers): Use gnus-agent-braid-nov to validate
	article numbers even when local .overview file is missing.
	(gnus-agent-read-article-number): New function.  Only accepts
	27-bit article numbers.
	(gnus-agent-copy-nov-line, gnus-agent-uncached-articles):
	Use gnus-agent-read-article-number.
	(gnus-agent-braid-nov): Rewrote to validate article numbers coming
	from backend while recognizing that article numbers in .overview
	must be valid.

	* gnus-start.el (gnus-convert-old-newsrc): Change message text as
	some users confused by references to .newsrc when they only have a
	.newsrc.eld file.
	(gnus-convert-mark-converter-prompt)
	(gnus-convert-converter-needs-prompt): Fix use of property list.

2004-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-restore-gcc): Use ^ and regexp-quote.

2004-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles-in-group): Don't do
	stuff for non-living groups.

2004-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-synchronize-flags): Default to nil.
	(gnus-agent-regenerate-group): Using nil messages aren't valid.

2004-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-read-agentview):
	Inline gnus-uncompress-range.

2004-10-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* legacy-gnus-agent.el
	(gnus-agent-convert-to-compressed-agentview): Fix typos with
	help from Florian Weimer <fw@deneb.enyo.de>

	* gnus-agent.el (gnus-agentize):
	gnus-agent-send-mail-real-function no longer set to current value
	of message-send-mail-function but rather a lambda that calls
	message-send-mail-function.  The change makes the agent real-time
	responsive to user changes to message-send-mail-function.

2004-10-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-get-unread-articles): Fix last commit.

2004-10-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-cache.el (gnus-cache-rename-group): New function.
	(gnus-cache-delete-group): New function.

	* gnus-agent.el (gnus-agent-rename-group): New function.
	(gnus-agent-delete-group): New function.
	(gnus-agent-save-group-info): Use gnus-command-method when
	`method' parameter is nil.  Don't write nil entries into the
	active file.
	(gnus-agent-get-group-info): New function.
	(gnus-agent-get-local): Add optional parameters to avoid calling
	gnus-group-real-name and gnus-find-method-for-group.
	(gnus-agent-set-local): Delete stored entry if either min, or max,
	are nil.
	(gnus-agent-fetch-session): Reword error/quit messages.
	On quit, use gnus-agent-regenerate-group to record existance of any
	articles fetched to disk before the quit occurred.

	* gnus-int.el (gnus-request-delete-group):
	Use gnus-cache-delete-group and gnus-agent-delete-group to keep the
	local disk in sync with the server.
	(gnus-request-rename-group):
	Use gnus-cache-rename-group and gnus-agent-rename-group to keep the
	local disk in sync with the server.

	* gnus-start.el (gnus-get-unread-articles):
	Cosmetic simplification to logic.

	* gnus-group.el (gnus-group-delete-group): No longer update
	gnus-cache-active-altered as gnus-request-delete-group now keeps
	the cache in sync.
	(gnus-group-list-active): Let the agent store a server's active
	list if currently plugged.

	* gnus-util.el (gnus-rename-file): New function.

2004-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-regenerate-group): Activate the group
	when the group's active is not available.

2004-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-agentview): Add a missing arg to
	error.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-start.el (gnus-convert-old-newsrc): Only write the conversion
	message to newsrc-dribble when an actual conversion is performed.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-read-local):
	Bind nnheader-file-coding-system to gnus-agent-file-coding-system to
	avoid the implicit assumption that they will always be equal.
	(gnus-agent-save-local): Bind buffer-file-coding-system, not
	coding-system-for-write, as the with-temp-file macro first prints
	to a buffer then saves the buffer.

2004-10-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* legacy-gnus-agent.el (): New.  Provides converters that are only
	loaded when gnus-convert-old-newsrc needs to call them.

	* gnus-agent.el (gnus-agent-read-agentview): Remove support for
	old file versions.
	(gnus-group-prepare-hook): Remove function that converted list
	form of gnus-agent-expire-days to group properties.

	* gnus-start.el (gnus-convert-old-newsrc): Register new
	converters to handle old agent file formats.  Added logic for a
	"backup before upgrading warning".
	(gnus-convert-mark-converter-prompt): Developers can mark
	functions as needing (default), or not needing,
	gnus-convert-old-newsrc's "backup before upgrading warning".
	(gnus-convert-converter-needs-prompt): Tests whether the user
	should be protected from potentially irreversable changes by the
	function.

2004-10-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-int.el (gnus-request-accept-article): Inform the agent that
	articles are being added to a group.
	(gnus-request-replace-article): Inform the agent that articles
	need to be uncached as the cached contents are no longer valid.

	* gnus-agent.el (gnus-agent-file-header-cache): Remove.
	(gnus-agent-possibly-alter-active): Avoid null in numeric comparison.
	(gnus-agent-set-local): Refuse to save null in local object table.
	(gnus-agent-regenerate-group): The REREAD parameter can now be a
	list of articles that will be marked as unread.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-range.el (gnus-sorted-range-intersection): Now accepts
	single-interval range of the form (min . max).  Previously the
	range had to look like ((min . max)).  Likewise, return
	(min . max) rather than ((min . max)).
	(gnus-range-map): Use gnus-range-normalize to accept
	single-interval range.

	* gnus-sum.el (gnus-summary-highlight-line): Articles stored in
	the cache, but not the agent, now appear with their usual face.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-sum.el (gnus-adjust-marks): Now correctly handles a list of
	marks consisting of a single range {for example, (3 . 5)} rather
	than a list of a single range { ((3 . 5)) }.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-sum.el (gnus-adjust-marks): Avoid splicing null INTO the
	uncompressed list.

2004-10-18  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-draft.el (gnus-group-send-queue): Pass the group name
	"nndraft:queue" along to gnus-draft-send.
	Use gnus-agent-prompt-send-queue.
	(gnus-draft-send): Rebind gnus-agent-queue-mail to nil when group
	is "nndraft:queue".  Suggested by Gaute Strokkenes
	<gs234@srcf.ucam.org>

	* gnus-group.el (gnus-group-catchup): Use new
	gnus-sequence-of-unread-articles, not
	gnus-list-of-unread-articles, to avoid exhausting memory with huge
	numbers of articles.  Use gnus-range-map to avoid having to
	uncompress the unread list.
	(gnus-group-archive-directory)
	(gnus-group-recent-archive-directory): Fix invalid ange-ftp reference.

	* gnus-range.el (gnus-range-map): Iterate over list or sequence.
	(gnus-sorted-range-intersection): Intersection of two ranges
	without requiring that they first be uncompressed.

	* gnus-start.el (gnus-activate-group): Unless blocked by the
	caller, possibly expand the active range to include both cached
	and agentized articles.
	(gnus-convert-old-newsrc): Rewrote in anticipation of having
	multiple version-dependent converters.
	(gnus-groups-to-gnus-format): Replace gnus-agent-save-groups with
	gnus-agent-save-active.
	(gnus-save-newsrc-file): Save dirty agent range limits.

	* gnus-sum.el (gnus-select-newgroup): Replace inline code with
	gnus-agent-possibly-alter-active.
	(gnus-adjust-marked-articles): Faster handling of simple lists.

2004-10-18  David Edmondson  <dme@dme.org>

	* mm-view.el (mm-w3m-cid-retrieve-1): Don't use recursive call
	excessively.

2004-10-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-preview): Use `pop-to-buffer'.

	* message.el (message-goto-mail-followup-to): Insert after "To".
	(message-carefully-insert-headers): Add comment.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add help texts.

	* gnus-art.el (gnus-button-alist):
	Improve `gnus-button-handle-library' entry.

	* gnus-art.el (gnus-button-alist): Fix regexp for manual links.

	* gnus-group.el (gnus-group-get-new-news-this-group): Add doc-string.

	* gnus-start.el (gnus-activate-group): Add doc-string.

	* gnus-art.el (gnus-button-handle-man, gnus-button-alist): Try to
	handle manual section.

	* imap.el (imap-store-password): New variable.
	(imap-interactive-login): Use it.
	Suggested by Mark Plaksin <happy@mcplaksin.org>.

	* gnus-art.el (gnus-button-alist, gnus-header-button-alist):
	Allow / in mailto URLs.

	* spam.el (spam-directory): Derive from `gnus-directory'.

	* gnus-sum.el (gnus-pick-line-number): Add autoload.

2004-10-17  Richard M. Stallman  <rms@gnu.org>

	* gnus-registry.el (gnus-registry-unload-hook):
	Set as a variable with add-hook.

	* nnspool.el (nnspool-spool-directory): Use news-directory instead
	of news-path.

	* spam-stat.el (spam-stat-unload-hook): Set as a variable w/ add-hook.

	* spam.el: Delete duplicate `provide'.
	(spam-unload-hook): Set as a variable with add-hook.

2004-10-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* pop3.el (pop3-leave-mail-on-server): Describe possible problems
	in the doc string.

	* message.el (message-ignored-news-headers)
	(message-ignored-supersedes-headers)
	(message-ignored-resent-headers)
	(message-forward-ignored-headers): Improve custom type.

2004-10-15  Simon Josefsson  <jas@extundo.com>

	* pop3.el (top-level): Don't require nnheader.
	(pop3-read-timeout): Add.
	(pop3-accept-process-output): Add.
	(pop3-read-response, pop3-retr): Use it.

2004-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-tokenize-header): Fix 2004-09-06 change
	which used point-min in the wrong place.

2004-10-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-bury): Use `window-dedicated-p'.

2004-10-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el: Mention that multibyte characters don't work as marks.

	* gnus.el (message-y-or-n-p): Autoload.

	* pop3.el (pop3-maildrop, pop3-mailhost, pop3-port)
	(pop3-password-required, pop3-authentication-scheme)
	(pop3-leave-mail-on-server): Made customizable.
	(pop3): New custom group.
	(pop3-retr): Remove `sleep-for' statements.
	Suggested by Dave Love <fx@gnu.org>.

	* nnheader.el (nnheader-read-timeout): Explain 1.0 timeout for
	Windows/DOS.

	* imap.el (imap-parse-flag-list, imap-parse-body-extension)
	(imap-parse-body): Fix incorrect use of `assert'.  Suggested by
	Dave Love <fx@gnu.org>.

	* mml.el (mml-minibuffer-read-disposition): Require match.
	Suggested by Dave Love <fx@gnu.org>.

2004-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-update-group-mark-positions):
	* gnus-sum.el (gnus-update-summary-mark-positions):
	* message.el (message-check-news-body-syntax):
	* gnus-msg.el (gnus-debug): Use mm-string-as-multibyte instead
	of string-as-multibyte.

	* gnus-sum.el (gnus-summary-insert-subject): Remove redundant setq.

2004-10-05  Juri Linkov  <juri@jurta.org>

	* gnus-group.el (gnus-update-group-mark-positions):
	* gnus-sum.el (gnus-update-summary-mark-positions):
	* message.el (message-check-news-body-syntax):
	* gnus-msg.el (gnus-debug): Use `string-as-multibyte' to convert
	8-bit unibyte values to a multibyte string for search functions.

2004-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-toggle-header): Make it work even if
	there's no visible header.

2004-10-01  Simon Josefsson  <jas@extundo.com>

	* mailcap.el (mailcap-mime-data): Add pdf.  Remove non-free
	acroread.

2004-09-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-method-to-server): Oops, move it don't delete it.

2004-09-28  Jesper Harder  <harder@ifa.au.dk>

	* gnus-picon.el: Require cl.

	* mml-sec.el (mml-signencrypt-style): Don't depend on Gnus.

	* mml-smime.el: Require cl.  Autoload message-fetch-field.

	* gnus-fun.el: Require gnus-ems and gnus-util.

	* gnus-diary.el (gnus-diary-header-schedule): caddr -> car (cddr).

	* gnus-art.el (gnus-article-edit-mode): Define before first reference.

	* gnus.el (gnus-method-to-server): Move defsubst before first use.

	* spam.el (spam-check-spamoracle, spam-spamoracle-learn):
	Fix format string mismatch.
	* nnml.el (nnml-request-set-mark, nnml-save-marks): Do.
	* nnfolder.el (nnfolder-request-set-mark, nnfolder-save-marks): Do.

2004-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-version-number): Set to 5.11.

2004-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-copy-to-buffer): Don't use set-buffer-multibyte.

2004-09-26  Christian Neukirchen  <chneukirchen@yahoo.de>  (tiny change)

	* mm-util.el (mm-image-load-path): Handle nil in load-path.

2004-09-26  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-post-news): Use blank Newsgroups line if
	GROUP is a virtual group.

	* mm-util.el (mm-charset-synonym-alist): Remove obsolete entries
	for big5 and gb2312.

	* rfc2047.el (rfc2047-pad-base64): Deal with more cases of invalid
	padding.

	* mm-bodies.el (mm-7bit-chars): Don't include \r.

	* mml.el (mml-compute-boundary-1): Don't uncompress files.

	* rfc2047.el (rfc2047-qp-or-base64): New function to reduce
	dependencies.
	(rfc2047-encode): Use it.

	* flow-fill.el: Typo.

	* mml.el (mml-generate-mime-1): Don't use format=flowed with
	inline PGP.

	* gnus.el (gnus-getenv-nntpserver): Strip whitespace.

	* gnus-cache.el (gnus-cache-save-buffers): Check if buffer is
	alive.  Reported by Laurent Martelli <laurent@aopsys.com>.

	* html2text.el (html2text-replace-list): Add &amp; and &apos;.

	* nnheader.el (nnheader-max-head-length): Increase to 8192.

	* message.el (message-clone-locals): Clone sendmail and smtp
	variables.

2004-09-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-configure-posting-styles): Narrow to headers
	in `header' match.  Reported by Svend Tollak Munkejord.

2004-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-decode.el (mm-copy-to-buffer): Preserve the data's unibyteness.

2004-09-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* uudecode.el (uudecode-use-external): Add :version.

	* smime.el (smime-CA-file, smime-encrypt-cipher)
	(smime-dns-server): Add :version.

	* smiley.el (gnus-smiley-file-types): Add :version.

	* sha1.el (sha1-use-external): Add :version.

	* pgg-def.el (pgg-query-keyserver): Add :version.

	* nnmail.el (nnmail-fancy-expiry-targets)
	(nnmail-mail-splitting-charset, nnmail-mail-splitting-decodes):
	Add :version.

	* nnimap.el (nnimap-split-download-body, nnimap-dont-close)
	(nnimap-retrieve-groups-asynchronous): Add :version.
	(nnimap-close-asynchronous): Add :version.  Fixed typo in doc string.

	* mml.el (mml-content-disposition-parameters)
	(mml-insert-mime-headers-always): Add :version.

	* mm-util.el (mm-coding-system-priorities): Add :version.

	* mm-decode.el (mm-inline-text-html-with-images)
	(mm-keep-viewer-alive-types, mm-external-terminal-program)
	(mm-verify-option): Add :version.
	(mm-text-html-renderer): Change :version.

	* message.el (message-fcc-externalize-attachments)
	(message-required-headers, message-draft-headers)
	(message-subject-trailing-was-query)
	(message-subject-trailing-was-ask-regexp)
	(message-subject-trailing-was-regexp, message-mark-insert-begin)
	(message-mark-insert-end, message-archive-header)
	(message-archive-note, message-cross-post-default)
	(message-cross-post-note, message-followup-to-note)
	(message-cross-post-note-function, message-use-mail-followup-to)
	(message-subscribed-address-functions)
	(message-subscribed-address-file, message-subscribed-addresses)
	(message-subscribed-regexps, message-allow-no-recipients)
	(message-yank-cited-prefix, message-signature-insert-empty-line)
	(message-hidden-headers, message-hierarchical-addresses)
	(message-mail-user-agent, message-use-idna)
	(message-valid-fqdn-regexp)
	(message-strip-special-text-properties, message-header-synonyms)
	(message-beginning-of-line, message-tab-body-function): Add :version.
	(message-insert-canlock, message-wide-reply-confirm-recipients):
	Change :version.

	* mail-source.el (mail-source-ignore-errors): Add :group, :type
	and :version.
	(mail-source-delete-old-incoming-confirm)
	(mail-source-movemail-program): Add :version.

	* gnus.el (gnus-parameters, gnus-user-agent): Add :version.
	(gnus-agent-cache, gnus-agent): Change :version.

	* gnus-util.el (gnus-use-byte-compile): Change :version.

	* gnus-sum.el (gnus-summary-make-false-root-always)
	(gnus-summary-default-high-score)
	(gnus-summary-default-low-score, gnus-auto-goto-ignores)
	(gnus-forwarded-mark, gnus-unseen-mark, gnus-no-mark)
	(gnus-read-all-available-headers, gnus-article-emulate-mime)
	(gnus-sum-thread-tree-root, gnus-sum-thread-tree-false-root)
	(gnus-sum-thread-tree-single-indent)
	(gnus-sum-thread-tree-vertical, gnus-sum-thread-tree-indent)
	(gnus-sum-thread-tree-leaf-with-other)
	(gnus-sum-thread-tree-single-leaf): Add :version.
	(gnus-summary-display-arrow, gnus-summary-muttprint-program)
	(gnus-article-loose-mime): Change :version.

	* gnus-start.el (gnus-backup-startup-file)
	(gnus-save-startup-file-via-temp-buffer): Add :version.

	* gnus-srvr.el (gnus-server-browse-in-group-buffer)
	(gnus-server-offline-face): Add :version.

	* gnus-score.el (gnus-adaptive-word-length-limit): Add :version.

	* gnus-msg.el (gnus-gcc-externalize-attachments)
	(gnus-debug-files, gnus-debug-exclude-variables)
	(gnus-discouraged-post-methods): Change :version.
	(gnus-confirm-mail-reply-to-news)
	(gnus-confirm-treat-mail-like-news): Add :version.

	* gnus-int.el (gnus-server-unopen-status): Add :version.

	* gnus-group.el (gnus-group-jump-to-group-prompt)
	(gnus-large-ephemeral-newsgroup)
	(gnus-fetch-old-ephemeral-headers): Add :version.

	* gnus-fun.el (gnus-x-face-directory)
	(gnus-convert-pbm-to-x-face-command)
	(gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command): Add :version.

	* gnus-delay.el (gnus-delay-default-hour): Add :version.

	* gnus-cite.el (gnus-cite-blank-line-after-header)
	(gnus-article-boring-faces): Add :version.

	* gnus-art.el (gnus-buttonized-mime-types)
	(gnus-inhibit-mime-unbuttonizing)
	(gnus-treat-display-face)
	(gnus-treat-body-boundary): Change :version.
	(gnus-body-boundary-delimiter, gnus-picon-databases)
	(gnus-treat-strip-cr, gnus-treat-leading-whitespace)
	(gnus-treat-date-english, gnus-treat-fold-headers)
	(gnus-article-skip-boring, gnus-treat-fold-newsgroups)
	(gnus-treat-mail-picon, gnus-treat-wash-html)
	(gnus-article-encrypt-protocol)
	(gnus-use-idna, gnus-article-over-scroll)
	(gnus-mime-display-multipart-alternative-as-mixed)
	(gnus-mime-display-multipart-related-as-mixed)
	(gnus-button-valid-fqdn-regexp, gnus-button-man-handler)
	(gnus-ctan-url, gnus-button-ctan-handler)
	(gnus-button-handle-ctan-bogus-regexp)
	(gnus-button-ctan-directory-regexp)
	(gnus-button-mid-or-mail-regexp, gnus-button-prefer-mid-or-mail)
	(gnus-button-mid-or-mail-heuristic-alist, gnus-button-tex-level)
	(gnus-button-man-level, gnus-button-emacs-level)
	(gnus-button-message-level, gnus-button-browse-level): Add :version.

	* gnus-agent.el (gnus-agent-fetched-hook): Add :version.
	(gnus-agent-go-online): Change :version.
	(gnus-agent-expire-unagentized-dirs)
	(gnus-agent-auto-agentize-methods): Add :version.

	* flow-fill.el (fill-flowed-display-column)
	(fill-flowed-encode-column): Add :version.

	* deuglify.el (gnus-outlook-deuglify-unwrap-min)
	(gnus-outlook-deuglify-unwrap-max)
	(gnus-outlook-deuglify-cite-marks)
	(gnus-outlook-deuglify-unwrap-stop-chars)
	(gnus-outlook-deuglify-no-wrap-chars)
	(gnus-outlook-deuglify-attrib-cut-regexp)
	(gnus-outlook-deuglify-attrib-verb-regexp)
	(gnus-outlook-deuglify-attrib-end-regexp)
	(gnus-outlook-display-hook): Add :version.

	* binhex.el (binhex-use-external): Add :version.

2004-09-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-fetch-old-headers): Add custom choices `t'
	and `invisible'.

2004-09-13  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-demule): Revert 2004-08-30 change.

2004-09-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-copy-article): Fix doc string.

2004-09-10  Miles Bader  <miles@gnu.ai.mit.edu>

	* nnimap.el (nnimap-open-connection): Remove extraneous end-paren.

2004-09-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-open-connection): Allow 'imaps' as a synonym
	for the 'imap' port in netrc files.

	* gnus-registry.el (gnus-registry-trim): Watch out for negatives
	in gnus-registry-trim.

2004-09-10  Simon Josefsson  <jas@extundo.com>

	* nndb.el (require): Remove tcp and duplicate cl.

2004-09-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* nntp.el (nntp): New customization group.
	(nntp-authinfo-file): Add customization group.

	* mml2015.el (mml2015-unabbrev-trust-alist): Add customization group.

	* mml-sec.el (mml-signencrypt-style-alist): Ditto.

	* gnus.el (to-address, to-list, subscribed)
	(large-newsgroup-initial): Ditto.

	* flow-fill.el (fill-flowed-display-column)
	(fill-flowed-encode-column): Ditto.

2004-09-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-tokenize-header, message-send-mail-with-qmail):
	Use point-min rather than 1.
	(message-send-mail): Use buffer-size rather than point-max.

	* gnus-sum.el (gnus-summary-search-article-forward):
	Signal a specific `search-failed' rather than a generic `error'.

	* gnus-salt.el (gnus-pick-mouse-pick-region): Switch 1 => point-min.
	(gnus-generate-vertical-tree): Usue `bobp' rather than compare to 1.
	(gnus-highlight-selected-tree): Use point-min rather than 1 and 2.

2004-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-insert-subject): Remove list identifiers.

2004-09-03  Hiroshi Fujishima  <pooh@nature.tsukuba.ac.jp>  (tiny change)

	* spam-stat.el (spam-stat-reduce-size): Set spam-stat-dirty.
	(spam-stat-save): Accept prefix argument.

2004-09-01  Simon Josefsson  <jas@extundo.com>

	* message.el (message-canlock-generate): Require sha1, not
	sha1-el.  (Can we get rid of this require alltogheter? It is ugly
	to require within a function.  Sadly, if sha1.el isn't loaded, the
	let binding in m-c-g will hide the defcustom definition, which is
	bad.)

	* canlock.el: Require sha1, not sha1-el.

	* message.el: Don't autoload sha1 (there is a autoload cookie in
	sha1.el).

	* sha1-el.el: Renamed to sha1.el.

2004-05-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pgg-pgp.el (pgg-pgp-verify-region): Clean up.

2004-05-19  Michael Schierl  <schierlm-usenet@gmx.de>  (tiny change)

	* pgg-pgp.el (pgg-pgp-verify-region): Default when signature
	isn't a string.

2004-03-05  Jesper Harder  <harder@ifa.au.dk>

	* sha1-el.el (sha1-maximum-internal-length): Doc fix.

2004-03-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el: Don't autoload mail-fetch-field.

2004-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (base64-encode-string): Don't autoload it.

2004-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el: Always require sha1-el.
	(canlock-sha1): Bind sha1-maximum-internal-length to nil.

2004-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-canlock-generate): Require sha1-el.

2004-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-insert-header): Remove excessive grouping in
	regexp.

2004-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sha1-el.el (sha1-string-external): Use with-temp-buffer.

2004-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-sha1-function): Remove.
	(canlock-sha1-function-for-verify): Remove.
	(canlock-openssl-program): Remove.
	(canlock-openssl-args): Remove.
	(canlock-ignore-errors): Remove.
	(canlock-sha1-with-openssl): Remove.
	(canlock-sha1): Use sha1 instead of to call canlock-sha1-function.
	(canlock-verify): Don't use canlock-ignore-errors.

	* sha1-el.el (sha1-string-external): Make it can return a string
	in binary form.
	(sha1-region-external): Ditto.
	(sha1-string-internal): Ditto.
	(sha1-region-internal): Ditto.
	(sha1-region): Ditto.
	(sha1-string): Ditto.
	(sha1): Ditto.

2003-11-15  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-lookup-all-secret-keys)
	(pgg-gpg-lookup-key): Use regexp match instead of
	split-string (split-string is different between emacs 21.2 and
	22.1).  Reported by ultrasoul@ultrasoul.com (David D. Smith).

2004-07-28  Simon Josefsson  <jas@extundo.com>

	* pgg-pgp5.el (pgg-pgp5-encrypt-region): Accept sign
	parameter (but don't use it, for now).

2004-02-03  Jesper Harder  <harder@ifa.au.dk>

	* sieve.el (sieve-deactivate-all): Fix format string mismatch.

2004-08-30  Andreas Schwab  <schwab@suse.de>

	* rfc2231.el (rfc2231-parse-string): Restore whitespace syntax for
	?* and ?\;.

	* ietf-drums.el (ietf-drums-syntax-table): Set syntax of ?* ?\;
	and ?\' to symbol instead of whitespace.

2004-08-31  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-idna-to-ascii-rhs-1): Don't choke on
	invalid addresses.

2004-08-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-idna-to-ascii-rhs-1): Fix typo.

2004-08-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-idna-to-ascii-rhs-1): Don't use equalp.

2004-08-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-decode-idna-rhs): Don't use
	message-idna-inside-rhs-p.

2004-08-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-idna-inside-rhs-p): Remove.
	(message-idna-to-ascii-rhs-1): Use proper address parsing.

2004-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-restore-gcc): Use ^ and regexp-quote.

2004-08-30  Helmut Waitzmann  <Helmut.Waitzmann@web.de>  (tiny change)

	* gnus-sum.el (gnus-newsgroup-variables): Doc fix.

2004-08-26  YAGI Tatsuya  <ynyaaa@ybb.ne.jp>  (tiny change)

	* gnus-art.el (gnus-article-next-page): Fix the way to find a real
	end-of-buffer.

2004-08-26  Stefan Wiens  <s.wi@gmx.net>  (tiny change)

	* gnus-sum.el (gnus-read-header): Don't remove a header for the
	parent article of a sparse article in the thread hashtb.

2004-08-26  David Hedbor  <dhedbor@real.com>  (tiny change)

	* nnmail.el (nnmail-split-lowercase-expanded): New user option.
	(nnmail-expand-newtext): Lowercase expanded entries if
	nnmail-split-lowercase-expanded is non-nil.

	* gnus-agent.el (gnus-agent-regenerate-group): Activate the group
	when the group's active is not available.

	* gnus-art.el (article-hide-headers): Refer to the values for
	gnus-ignored-headers and gnus-visible-headers in the summary
	buffer since a user may have set them as group parameters.
	(gnus-article-read-summary-keys): Restore new window-start and
	hscroll to summary window.
	(gnus-prev-page-map): Remove duplicated one.

	* gnus-cite.el (gnus-cite-ignore-quoted-from): New user option.
	(gnus-cite-parse): Ignore quoted envelope From_.  Suggested by
	Karl Chen <quarl@nospam.quarl.org> and Reiner Steib
	<Reiner.Steib@gmx.de>.

	* gnus-cus.el (gnus-agent-cat-prepare-category-field):
	Replace pp-to-string with gnus-pp-to-string.

	* gnus-eform.el (gnus-edit-form): Replace pp with gnus-pp.

	* gnus-group.el (gnus-group-make-kiboze-group): Replace pp with
	gnus-pp.

	* gnus-msg.el (gnus-setup-message): Ignore an article copy while
	parsing gnus-posting-styles when the message is not for replying.
	(gnus-summary-resend-message-edit): Call mime-to-mml.
	Suggested by Hiroshi Fujishima <pooh@nature.tsukuba.ac.jp>.
	(gnus-debug): Replace pp with gnus-pp.

	* gnus-score.el (gnus-score-save): Replace pp with gnus-pp.

	* gnus-spec.el (gnus-update-format): Replace pp-to-string with
	gnus-pp-to-string.

	* gnus-util.el (gnus-bind-print-variables): New macro.
	(gnus-prin1): Use it.
	(gnus-prin1-to-string): Use it.
	(gnus-pp): New function.
	(gnus-pp-to-string): New function.

	* gnus.el: Don't make unnecessary *Group* buffer when loading.

	* mail-source.el (mail-source-touch-pop): Doc fix.

	* message.el (message-mode): Don't modify paragraph-separate there.
	(message-setup-fill-variables): Add mml tags to paragraph-start
	and paragraph-separate.  Suggested by Andrew Korty <ajk@iu.edu>.
	(message-smtpmail-send-it): Doc fix.
	(message-exchange-point-and-mark): Don't activate region if it was
	inactive.  Suggested by Hiroshi Fujishima
	<pooh@nature.tsukuba.ac.jp> and Jesper Harder <harder@ifa.au.dk>.

	* mm-decode.el (mm-save-part): Bind enable-multibyte-characters to
	t while entering a file name using the mm-with-multibyte macro.
	Suggested by Hiroshi Fujishima <pooh@nature.tsukuba.ac.jp>.

	* mm-encode.el (mm-content-transfer-encoding-defaults):
	Use qp-or-base64 for the application/* types.
	(mm-safer-encoding): Consider 7bit is safe.

	* mm-util.el (mm-with-multibyte-buffer): New macro.
	(mm-with-multibyte): New macro.

	* mm-view.el (mm-inline-render-with-function): Use multibyte
	buffer; decode html source by charset.

	* nndoc.el (nndoc-type-alist): Improve regexp for article-begin,
	add generate-head-function and generate-article-function to the
	rfc822-forward entry.
	(nndoc-forward-type-p): Recognize envelope From_.
	(nndoc-rfc822-forward-generate-article): New function.
	(nndoc-rfc822-forward-generate-head): New function.

	* score-mode.el (gnus-score-pretty-print): Replace pp with gnus-pp.

	* webmail.el (webmail-debug): Replace pp with gnus-pp.

	* gnus-art.el (gnus-article-wash-html-with-w3m):
	Bind w3m-safe-url-regexp as the value for mm-w3m-safe-url-regexp;
	use w3m-minor-mode-map instead of mm-w3m-local-map-property.
	(gnus-mime-save-part-and-strip): Use mm-complicated-handles
	instead of mm-multiple-handles.
	(gnus-mime-delete-part): Ditto.

	* mm-decode.el (mm-multiple-handles): Recognize a string as a mime
	handle, as well as a list.
	(mm-complicated-handles): Former definition of mm-multiple-handles.

	* mm-view.el (mm-w3m-mode-map): Remove.
	(mm-w3m-local-map-property): Remove.
	(mm-w3m-cid-retrieve-1): Call itself recursively.  Suggested by
	ARISAWA Akihiro <ari@mbf.sphere.ne.jp>.
	(mm-w3m-cid-retrieve): Simplify.
	(mm-inline-text-html-render-with-w3m): Decode html source by
	charset; check META tags only when charsets are not specified in
	headers; specify charset to w3m-region; use w3m-minor-mode-map
	instead of mm-w3m-local-map-property.

2004-08-30  Juanma Barranquero  <lektu@terra.es>

	* ietf-drums.el (ietf-drums-remove-whitespace): Fix character constant.

2004-08-30  Andreas Schwab  <schwab@suse.de>

	* nnlistserv.el (nnlistserv-kk-wash-article): Fix paren nesting.

	* gnus-score.el (gnus-summary-increase-score): Fix format string.

2004-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-demule): Avoid string-as-multibyte.

2004-08-30  Kim F. Storm  <storm@cua.dk>

	* nntp.el (nntp-authinfo-file): Add :group 'nntp.

	* nnimap.el (nnimap-authinfo-file, nnimap-prune-cache):
	Add :group 'nnimap.

2004-08-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mime-display, mime-security): Fix custom-manual
	entries.

	* gnus-art.el (gnus-article): Ditto.

2004-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-hide-list-identifiers):
	Bind inhibit-read-only as t.

2004-08-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-mlspl.el (gnus-group-split-update): Fix docstring.

2004-08-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el: Use inhibit-read-only instead of buffer-read-only.
	(gnus-narrow-to-page): Don't assume point-min == 1.
	(gnus-article-edit-mode): Derive from message-mode.

	* gnus-score.el (gnus-score-find-bnews): Simplify and don't assume
	point-min == 1.

	* imap.el (imap-parse-address-list, imap-parse-body-ext):
	Disable incorrect use of `assert'.

	* message.el (message-mode): Set comment-start-skip.

2004-08-22  Sam Steingold  <sds@gnu.org>

	* pop3.el (pop3-leave-mail-on-server): New user variable.
	(pop3-movemail): Delete mail only when it is nil.

2004-08-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* netrc.el, tls.el: Removed; use files from ../net instead.

2004-08-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-mule.el, smiley-ems.el: Removed obsolete files.

	* mailcap.el (mailcap-mime-data): Mark as risky.

	* gnus.el (gnus-group, gnus-summary, gnus-summary-sort):
	Fix custom-manual entries.

	* time-date.el: Removed.  Merged into ../calendar/time-date.el.

2004-08-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* blink.pbm, blink.xpm, braindamaged.xpm, cry.xpm, dead.xpm,
	evil.xpm, forced.xpm, frown.xpm, grin.xpm, indifferent.xpm,
	reverse-smile.xpm, sad.pbm, sad.xpm, smile.xpm, time-date.el,
	wry.xpm: Added new files from the v5_10 branch of Gnus.

2004-07-22  Andreas Schwab  <schwab@suse.de>

	Import Gnus 5.10 from the v5_10 branch of the Gnus repository.

2004-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-text-html-renderer): Make sure w3m exists in
	addition to emacs-w3m.

2004-05-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-summary-followup-with-original):
	Document yanking of region when active.

2004-04-13  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el: Merged 7.3 through 7.7 updates into branch.
	Revision 7.2 changes excluded to maintain compatibility with all
	targeted emacs versions.

	* gnus-cus.el: Merged revisions 7.2 through 7.5 into branch to support
	gnus-agent.el update and incorporate bug fixes.

See ChangeLog.2 for earlier changes.

    Copyright (C) 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3, or (at your option)
  any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs; see the file COPYING.  If not, write to the
  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
  Boston, MA 02110-1301, USA.

;; Local Variables:
;; coding: iso-2022-7bit
;; fill-column: 79
;; add-log-time-zone-rule: t
;; End:

;;; arch-tag: 3f33a3e7-090d-492b-bedd-02a1417d32b4
